2004-03-29  mput <root@mput.dip.jp>

	* NEWS: update
	* configure.in: version to 2.13.0
	* configure.in: disable --enable-simd (not working)

2004-02-28  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* configs/msc[67]-project.zip: version to 2.13.0
	* doc/C/README.mts, doc/ja_JP.eucJP/README.mts: Update

2004-03-28  mput <root@mput.dip.jp>

	* timidity/resample.c (set_current_resampler): RESAMPLE_NONE was
	  deactivated.

2004-03-26  Kentaro Sato <kentaro@ranvis.com>

	* timidity/instrum.[ch], timidity/smplfile.c, timidity/sndfont.c:
	  Supported LOOKUP_HACK for %sample.

2004-03-25  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.1, doc/ja_JP.eucJP/timidity.1,
	  timidity/effect.c, timidity/timidity.c:
	  Change specification of -EFns=? option (for 16-bit)
	  -EFns=0 : no noise shaping
	  -EFns=1 : traditional noise shaping
	  -EFns=2 : overdrive-like soft-clipping + new noise shaping
	  -EFns=3 : tube-amplifier-like soft-clipping + new noise shaping
	  -EFns=4 : new noise shaping (default)

2004-03-24  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/w32g.h, interface/w32g_c.c, interface/w32g_i.c:
	  Fix handling of canvas mode (W32GUI version)

2004-03-20  Saito <saito@intaa.net>

	* timidity/reverb.[ch], timidity/readmidi.c:
	  Implement XG Amp Simulator (incomplete).
	  Change algorithm of Overdrive / Distortion.

2004-03-20  Takaya Nogami <t-nogami@happy.email.ne.jp>

	* timidity/darwin_a.c: 24bit output support

2004-03-19  Saito <saito@intaa.net>

	* interface/w32g_ut2.[ch], interface/w32g_i.c:
	  Set GS LCD Mode to default.
	* interface/w32g_res.rc, timidity/optcode.h, timidity/effect.c:
	  Implement "soft-clipping before waveshaping" again.

2004-03-18  Saito <saito@intaa.net>

	* timidity/optcode.h:
	  Add imuldiv28() for waveshaping.

2004-03-18  Kentaro Sato <kentaro@ranvis.com>

	* timidity/timidity.c: Bug fix.
	  Changed #extension level option's argument format.
	* doc/C/timidity.cfg.5, doc/ja_JP.eucJP/timidity.cfg.5: Updated.

2004-03-18  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/mix.c (recompute_envelope, recompute_modulation_envelope):
	  fix for -m option (was not working correctly)

2004-03-17  Saito <saito@intaa.net>

	* interface/w32g.h, interface/w32g_i.c, interface/w32g_c.c:
	  Fix GS LCD in Win32GUI interface.

2004-03-16  Saito <saito@intaa.net>

	* timidity/reverb.c, timidity/playmidi.c:
	  Bug fix.

2004-03-15  Saito <saito@intaa.net>

	* interface/w32g.h, interface/w32g_i.c, interface/w32g_c.c:
	  Support for GS LCD in Win32GUI interface.

2004-03-14  Saito <saito@intaa.net>

	* timidity/readmidi.c, timidity/reverb.[ch]:
	  Support for effect: Auto Wah (incomplete).

2004-03-13  Saito <saito@intaa.net>

	* timidity/reverb.[ch]:
	  Beautify.

2004-03-12  Saito <saito@intaa.net>

	* timidity/reverb.c:
	  Fix around effects.

2004-03-10  Kentaro Sato <kentaro@ranvis.com>

	* timidity/timidity.c:
	  Fixed an old bug preventing from specifying "pan=left" in config.

2004-03-10  Saito <saito@intaa.net>

	* timidity/readmidi.c, timidity/reverb.[ch], timidity/tables.[ch]:
	  Support for effect: Lo-Fi (incomplete), Stereo-EQ.
	* timidity/playmidi.c:
	  Fix around effects.

2004-03-08  Saito <saito@intaa.net>

	* timidity/playmidi.c:
	  Fix bug of adjust_panning().
	* interface/w32g_res.{h,rc}, interface/w32g_pref.c:
	  Add "Edit" button to preference window.

2004-03-08  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.c (midi_program_change): #if 0 out the useless
	  -1 check, formally was a kluge for XG emulation.

2004-03-07  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c: Fixed GM2 drumch on program change.

2004-03-07  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.c (midi_program_change): Fix for a drum
	  channel turns back into a melody channel

2004-03-07  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.c (note_off): Fix for remapped drum.

2004-03-07  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/ja_JP.ujis: Move to ja_JP.eucJP
	* doc/C/timidity.cfg.5, doc/ja_JP.eucJP/timidity.cfg.5: Update

2004-03-06  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c (select_play_sample):
	  Fix handling of resample cache in case of using MTS

2004-03-06  Saito <saito@intaa.net>

	* timidity/playmidi.c, timidity/readmidi.c, timidity/reverb.[ch],
	  timidity/effect.c, timidity/mix.c:
	  Support for XG variation effect:
	  Echo, Symphonic(incomplete), Celeste, 2-Band EQ, 3-Band EQ.
	  Fix around envelope.

2004-03-05  Saito <saito@intaa.net>

	* timidity/sndfont.c:
	  Fix for Soundfonts with strange loop points.
	* timidity/playmidi.c, timidity/readmidi.[ch], timidity/reverb.[ch]:
	  Support for XG variation effect:
	  Delay L,C,R, Delay L,R, Cross Delay.

2004-03-05  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/w32g_pref.c, interface/w32g_res.{h,rc}:
	  Change to fit with initial keysig option behavior (W32GUI version)
	* doc/ja_JP.ujis/Makefile.{am,in}, doc/ja_JP.ujis/README.alsaseq:
	  Add README.alsaseq in Japanese

2004-03-04  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c: Small fixes.

2004-03-04  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c (parse_opt_Z1): Fix typo
	* interface/alsaseq_c.c, interface/rtsyn_common.c,
	  interface/w32g_pref.c, timidity/playmidi.c:
	  Change behavior so that keysig control may not react
	  when initial keysig option for pure intonation is specified

2004-03-04  mput <root@mput.dip.jp>

	* timidity/readmidi.c (set_xg_chorus_type): Re-activate flanger

2004-03-04  mput <root@mput.dip.jp>

	* timidity/reverb.h: Fix undeclared type error

2004-03-03  Saito <saito@intaa.net>

	* timidity/reverb.[ch], timidity/playmidi.c, timidity/readmidi.[ch]:
	  Under construction for XG insertion / variation / system effects.

2004-03-02  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/recache.c: Beautify (functionally no change)

2004-03-02  Kouji 'kekyo' Suzuki <k@kekyo.net>

	* configs/msc7-project.zip:
	  Fix about Windows Installer.

2004-03-02  mput <root@mput.dip.jp>

	* timidity/output.h, timidity/common.h, timidity/readmidi.h,
	  timidity/miditrace.h: Fix #inlude dependencies

2004-03-02  Saito <saito@intaa.net>

	* timidity/playmidi.c, timidity/readmidi.[ch],
	  timidity/reverb.[ch], timidity/effect.c, timidity/tables.[ch]:
	  Under construction for XG insertion / variation / system effects.

2004-03-02  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c: Fixed to set drumch on program change (GM2).

2004-03-01  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* README(.ja), INSTALL(.ja),
	  doc/C/timidity.1, doc/ja_JP.ujis/timidity.1,
	  doc/ja_JP.ujis/README.m2m: Update

2004-03-01  Saito <saito@intaa.net>

	* timidity/w32g_subwin3.c:
	  Fix Win32GUI tracer window.

2004-02-29  mput <root@mput.dip.jp>

	* configure.in: version to 2.13.0-rc2

2004-02-29  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/ja_JP.ujis/README.dl:
	  Was written in iso-2022-jp, convert to eucJP
	* doc/C/README.mts, doc/ja_JP.ujis/README.mts: Add
	* doc/C/Makefile.{am,in}, doc/ja_JP.ujis/Makefile.{am,in}:
	  Fix to fit with change above

2004-02-29  Saito <saito@intaa.net>

	* interface/w32g_tracer.bmp:
	  Fix.
	* timidity/playmidi.c:
	  Fix sostenuto and redamper.

2004-02-28  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* AUTHORS: Update
	* interface/Makefile.{am,in}: Fix due to make dist
	* doc/C/timidity.1, doc/ja_JP.ujis/timidity.1,
	  doc/C/timidity.cfg.5, doc/ja_JP.ujis/timidity.cfg.5: Update
	* doc/m2m.txt: Move to doc/C/README.m2m
	* doc/ja_JP.ujis/README.m2m: Add
	* doc/Makefile.{am,in}, doc/C/Makefile.{am,in},
	  doc/ja_JP.ujis/Makefile.{am,in}: Fix to fit with change above
	* script/Makefile.{am,in}, script/lspatch.pl: Fix a little

2004-02-28  Saito <saito@intaa.net>

	* interface/w32g_i.c, interface/w32g.h:
	  Fix about Win32 GUI.
	* interface/w32g_icon.ico:
	  Fix large icon.
	* timidity/readmidi.c, timidity/playmidi.c, timidity/reverb.[ch]:
	  Fix around effects.

2004-02-27  Takashi Iwai <tiwai@suse.de>

	* interface/Makefile.am, interface/interface_[Ak].txt:
	  Added the missing text files for interface A and k.

2004-02-26  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.cfg.5, doc/ja_JP.ujis/timidity.cfg.5: Update
	* script/lspatch.pl: Fix to fit with new patch options
	* timidity/instrum.c: Fix a little

2004-02-26  Saito <saito2@digitalme.com>

	* timidity/instrum.[ch], timidity/timidity.c, timidity/playmidi.[ch],
	  timidity/readmidi.c, timidity/mix.c:
	  Rename #extension redamper to #extension damper.
	  Add some patch options.

2004-02-25  Saito <saito2@digitalme.com>

	* timidity/w32g_vorbis_dll.c, timidity/vorbis_a.c, timidity/recache.c:
	  Fix.

2004-02-24  Saito <saito2@digitalme.com>

	* interface/w32g_syn.c, interface/w32g_i.c:
	  Improve bahaviour around taskbar.

2004-02-24  mput <root@mput.dip.jp>

	* configure.in: avoid warning

2004-02-24  Henrique de Moraes Holschuh <hmh@debian.org>

	* interface/Makefile.am (install.dynamics): The Dynamic interfaces
	  need the .txt files installed too.
	* doc/C/timidity.cfg.5: Fix English expressions
	* common.makefile.in (ELISP_DIR): Bug fix

2004-02-24  mput <root@mput.dip.jp>

	* configure.in: ALSA 1.0 support for alsaseq interface, thanks to
	  <hmh@debian.org>

2004-02-23  Saito <saito2@digitalme.com>

	* interface/w32g_res.{h,rc}, interface/w32g_i.c,
	  interface/w32g_subwin.c, interface/w32g_pref.c,
	  interface/w32g_icon.ico:
	  Change and add some items.

2004-02-22  Saito <saito2@digitalme.com>

	* timidity/reverb.c, timidity/playmidi.c:
	  Fix bug of opt_pan_delay with opt_surround_chorus.
	* timidity/sndfont.c:
	  Fix around memory allocation.

2004-02-22  Kentaro Sato <kentaro@ranvis.com>

	* timidity/mac_a.c: Support 8/24-bit output and PF_BUFF_FRAGM_OPT.
	* timidity/aiff_a.c, timidity/smplfile.c: Fixed padding bug.

2004-02-21  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/instrum.c: Beautify and fix typo

2004-02-21  Saito <saito2@digitalme.com>

	* interface/w32g_pref.c:
	  Fix "force cfg reload".
	* timidity/sndfont.c:
	  Fix.
	* timidity/tables.[ch], timidity/mix.c:
	  Put together modulation envelope tables.

2004-02-20  Saito <saito2@digitalme.com>

	* interface/w32g_icon.ico, interface/w32g_res.{rc,h},
	  interface/w32g_i.c, interface/w32g_subwin.c,
	  interface/w32g_subwin2.c, interface/w32g_subwin3.c,
	  interface/w32g_syn.c:
	  Change icons.
	* interface/w32g_syn_icon.ico:
	  Add this file.

2004-02-19  Saito <saito2@digitalme.com>

	* timidity/tables.c:
	  Fix volume table of modulation envelope (incomplete).

2004-02-18  Kentaro Sato <kentaro@ranvis.com>

	* timidity/resample.c: Fixed noise of c-spline/lagrange/linear.

2004-02-18  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch], timidity/playmidi.c, timidity/readmidi.c:
	  Clean up around chorus effect.
	  Fix bug of opt_pan_delay with opt_surround_chorus.
	  Rewrite DSP Chorus Effect.

2004-02-18  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.cfg.5, doc/ja_JP.ujis/timidity.cfg.5: Update
	* script/Makefile.{am.in}, script/lspatch.pl, script/readme.txt:
	  Add lspatch.pl (list the entire instrument configuration)
	* timidity/timidity.c (set_gus_patchconf_opts):
	  Change behavior of "note=" patch option

2004-02-17  Takashi Iwai <tiwai@suse.de>

	* interface/{alsaseq_c.c,gtk_i.c,ncurs_c.c,soundspec.c,tk_c.c,
	  x_wrdwindow.c}, libunimod/mloader.c, timidity/{aiff_a.c,alsa_a.c,
	  common.c,effect.c,freq.c,instrum.c,jack_a.c,mfi.c,mix.c,
	  mod2midi.c,oss_a.c,playmidi.c,rcp.c,readmidi.c,resample.c,
	  reverb.c,smplfile.c,tables.c,timidity.c,vorbis_a.c}:
	  Fix compile warnings with the recent gcc.

2004-02-17  Kouji 'kekyo' Suzuki <k@kekyo.net>

	* configs/msc7-project.zip:
	  Support for Windows Installer in VC7.
	  Fix portaudio output in VC7.

2004-02-17  Saito <saito2@digitalme.com>

	* timidity/readmidi.[ch], timidity/playmidi.c:
	  Support for GM2 Reverb Type, etc.

2004-02-17  skeishi <s_keishi@mutt.freemail.ne.jp>

	* interface/winsyn_c.c:
	  Fix timer of TWSYNTH.

2004-02-17  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/resample.c (resample_lagrange): Bug fix.

2004-02-16  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch]:
	  Implement new reverberation algorithm: Delay and Panning Delay.
	* timidity/resample.[ch], timidity/recache.c, timidity/mix.c:
	  Fasten.

2004-02-15  Kentaro Sato <kentaro@ranvis.com>

	* timidity/aiff_a.c: Fixed AIFC sample size field.

2004-02-15  Saito <saito2@digitalme.com>

	* timidity/portaudio_a.c:
	  Fix for Win32.
	* configs/msc[67]-project.zip:
	  Add portaudio files and modify projects.
	* timidity/playmidi.c:
	  Fix fatal typo around Chamberlin filter.
	* interface/w32g_pref.c:
	  Fix static reverb level.
	* timidity/reverb.c:
	  Fix reverb level.

2004-02-14  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/mix.c,
	  timidity/sndfont.c, timidity/instrum.c
	  timidity/tables.c, timidity/timidity.c:
	  Fix modulation envelope of SoundFont.
	  Fix bahaviour of filter.
	  Hack up around load_instrument().
	* interface/w32g_subwin3.c:
	  Fix.

2004-02-14  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* README(.ja), AUTHORS, INSTALL(.ja),
	  doc/C/timidity.1, doc/ja_JP.ujis/timidity.1: Update
	* timidity/wrd_read.c:
	  Revert fix timing @WAIT bug emulation of the original MIMPI
	  player; use -WRd=2 instead

2004-02-14  mput <root@mput.dip.jp>

	* Makefile.am (EXTRA_DIST): Fix to fit below
	* timidity.ide, timidity.mak: Remove
	* timidity/wrd_read.c: Fix aborting about WRD

2004-02-13  mput <root@mput.dip.jp>

	* timidity/tables.c: Add newline at the end of file.
	* timidity/readmidi.c (set_xg_chorus_type): fix flanger.

2004-02-13  Kentaro Sato <kentaro@ranvis.com>

	* timidity/aiff_a.c: Support PE_ULAW/PE_ALAW output.
	* timidity/mfi.c: Support MFi version 3, vibrato and pitch bend.
	* timidity/mac_a.c: Minor fix.

2004-02-13  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch], timidity/playmidi.c,
	  timidity/effect.c, timidity/readmidi.c:
	  Adjust Freeverb.
	  Fix and adjust Standard Reverb.
	  Fix play_midi_load_instrument().

2004-02-13  mput <root@mput.dip.jp>

	* timidity/optcode.h (d2i): remove
	* timidity/resample.c (initialize_resampler_coeffs):
	  remove C++ style '//' comment

2004-02-13  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/m2m.c: new function fill_nonlin_to_lin_table()
	* doc/m2m.txt: update

2004-02-12  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/Makefile.{am,in}:
	  Change CR+LF -> LF due to fatal error

2004-02-12  Saito <saito2@digitalme.com>

	* interface/w32g_pref.c, interface/w32g_res.{h,rc},
	  interface/rtsyn_common.c:
	  Support for 24-bit output in Win32GUI/TWSYNTH interface.
	* timidity/w32g_a.c, timidity/Makefile.{am,in}:
	  Remove w32g_a.c.
	* configs/msc[67]-sjis.txt:
	  Update.
	* timidity/gogo_a.c, timidity/vorbis_a.c:
	  Fix for 24-bit output mode.
	* configs/msc6-project.zip, configs/msc6-sjis.txt:
	  Support for TWSYNG service mode.
	* interface/w32g_utl.[ch], interface/w32g_ini.c,
	  interface/w32g_pref.c, interface/w32g_res.{h,rc},
	  timidity/playmidi.[ch], timidity/mix.c:
	  Support for Surround (opt_pan_delay).
	  Improve opt_pan_delay.

2004-02-12  Kentaro Sato <kentaro@ranvis.com>

	* timidity/output.c: Fixed endian problem of 24-bit output.

2004-02-11  mput <root@mput.dip.jp>

	* configure.in: version to 2.13.0-rc1

2004-02-11  Kentaro Sato <kentaro@ranvis.com>

	* timidity/aiff_a.c, timidity/au_a.c, timidity/mac_a.c,
	  timidity/output.c, timidity/raw_a.c, timidity/wave_a.c
	  Fixes for 24-bit output.

2004-02-11  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Fix some codes for 24bit output

2004-02-11  Kouji 'kekyo' Suzuki <k@kekyo.net>

	* interface/w32g_syn.c, configs/msc7-project.zip:
	  Support for TWSYNSRV.

2004-02-11  Saito <saito2@digitalme.com>

	* timidity/output.[ch], timidity/wave_a.c,
	  timidity/w32_a.c, timidity/aq.c,
	  timidity/effect.c, timidity/timidity.c, interface/w32g_utl.c:
	  Fix some codes for 24bit output.
	  Swap s32tos24() and s32tos24x().
	* timidity/reverb.[ch], timidity/playmidi.[ch],
	  timidity/mix.c, timidity/sndfont.c,
	  interface/w32g_utl.[ch], interface/w32g_res.rc,
	  interface/w32g_pref.c, interface/w32g_ini.c:
	  Remove opt_effect_quality.
	  Fix typos.

2004-02-10  Saito <saito2@digitalme.com>

	* interface/w32g_pref.c, timidity/w32_gogo.c,
	  timidity/gogo_a.c:
	  Change <gogo.h> to <gogo/gogo.h>.
	* configs/msc[67]-project.zip:
	  Add header files of Ogg Vorbis and gogo.

2004-02-10  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* aclocal.m4, configure(.in), config.h.in, Makefile.{am,in},
	  {autoconf,configs,doc(/{C,ja_JP.ujis}),
	  interface(/bitmaps)}/Makefile.in:
	  Sorry, revert fix due to make dist problem

2004-02-10  Kouji 'kekyo' Suzuki <k@kekyo.net>

	* interface/rtsyn_winmm.c, interface/w32g_i.c,
	  interface/w32g_ini.c, interface/w32g_pref.c,
	  interface/w32g_res.[ch], interface/w32g_syn.c,
	  interface/w32g_utl.[ch], interface/w32g.h:
	  Add process-priority function to TWSYNG.
	* configs/msc7-project.zip, timidity/calcnewt.c: Fix.

2004-02-09  mput <root@mput.dip.jp>

	* Makefile.am (install-data-local): ditto
	* configure.in: Add --with-ad-dir=DIR

2004-02-09  Saito <saito2@digitalme.com>

	* interface/w32g_pref.c, interface/w32g_subwin3.c,
	  interface/w32g_res.h, interface/w32g_res.rc,
	  interface/w32g_utl.[ch], interface/w32g_ini.c:
	  Fix Win32GUI preference window.
	  Add opt_default_module to Win32GUI preference.
	* timidity/playmidi.c, timidity/reverb.c:
	  Change behaviour of opt_effect_quality.

2004-02-09  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* INSTALL(.ja): Fix a little
	* doc/C/timidity.1, doc/ja_JP.ujis/timidity.1:
	  Update man page of timidity.1
	* timidity/playmidi.c (select_play_sample):
	  Fix determination method of frequency for sample selection
	  Hack up around select_play_sample

2004-02-08  Daisuke Aoki <dai@sweetparty.ne.jp>

	* timidity/sndfont.c: Fix cfgforsf.

2004-02-08  Saito <saito2@digitalme.com>

	* interface/w32g_tracer.bmp, interface/w32g_subwin3.c,
	  timidity/playmidi.c:
	  Change tracer window.
	* configs/msc[67]-project.zip:
	  Fix projects for cfgforsf.

2004-02-07  Saito <saito2@digitalme.com>

	* timidity/sysdep.h:
	  Add some #pragma warning for VC environment.
	* interface/w32g_tracer.bmp:
	  Fix.

2004-02-07  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/calcnewt.c: Fix to fit with Cygwin

2004-02-06  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* configs/Makefile.{am,in}:
	  Rename entry for msc-project[67].zip to msc[67]-project.zip
	  Rename entry for msc-sjis.txt to msc6-sjis.txt
	  Add entry for msc7-sjis.txt
	* doc/C/timidity.1, doc/ja_JP.ujis/timidity.1:
	  Update man page of timidity.1
	* timidity/playmidi.c (get_play_note_ratio): Fix bug
	* timidity/timidity.c (parse_opt_h):
	  Rewrite help message for --module

2004-02-06  Kouji 'kekyo' Suzuki <k@kekyo.net>
	* configs/msc[67]-project.zip, msc6-sjis.txt: Rename
	* configs/msc7-sjis.txt: Add
	* interface/rtsyn_common.c, timidity/calcnewt.c:
	  Fix to fit with Visual C++ 7.0

2004-02-05  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* configs/Makefile.{am,in}:
	  Delete entry for msc-project.zip
	  Add entry for msc-project[67].zip

2004-02-05  Kouji 'kekyo' Suzuki <k@kekyo.net>

	* configs/msc-project.zip:
	  Remove this file.
	* configs/msc-project6.zip, configs/msc-project7.zip:
	  Add files.
	* interface/rtsyn_winmm.c, interface/w32g_pref.c,
	  interface/w32g_subwin3.c, interface/winsyn_c.c,
	  timidity/gogo_a.c, timidity/timidity.c,
	  timidity/vorbis_a.c, timidity/wave_a.c,
	  utils/support.h:
	  Fix codes for Visual C++ 7.0.

2004-02-05  Kentaro Sato <kentaro@ranvis.com>

	* timidity/smplfile.c:
	  Fixed bug with WAVE Sampler chunk without loop.

2004-02-05  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* Makefile.{am,in}:
	  Change directory order
	* configs/Makefile.{am,in}:
	  Delete entry for msc-(twsyn-)interface.h
	* configs/msc-(twsyn-)interface.h: Remove
	* timidity/reverb.c: Fix typo
	* timidity/timidity.c (parse_opt_output_format): Fix bug

2004-02-04  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Add help message for --module
	* INSTALL(.ja), README(.ja): Beautify

2004-02-04  Saito <saito2@digitalme.com>

	* timidity/readmidi.c, timidity/timidity.c, timidity/playmidi.[ch],
	  timidity/reverb.[ch]:
	  Add --module=n option.
	  Rewrite Delay Effect.
	* timidity/output.[ch]:
	  Add some codes for 24-bit output.
	* interface/w32g_pref.h:
	  Fix around sampling-rate.

2004-02-04  mput <root@mput.dip.jp>

	* Makefile.am (dist-hook): delete
	* configs/Makefile.am (EXTRA_DIST): delete entry for msc-config.h
	* configs/msc-config.h{,.in}: remove

2004-02-04  mput <root@mput.dip.jp>

	* Makefile.am (dist-hook): Fix to preserve timestamp.

2004-02-03  Kentaro Sato <kentaro@ranvis.com>

	* timidity/timidity.c:
	  Fixed copybank bug.
	* timidity/instrum.[ch], timidity/readmidi.c:
	  Fixed problem freeing mapped banks.

2004-02-03  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.1, doc/ja_JP.ujis/timidity.1,
	  doc/C/timidity.cfg.5, doc/ja_JP.ujis/timidity.cfg.5:
	  Beautify man pages
	* timidity/sndfont.c:
	  Hack up around set_rootkey() and set_rootfreq()

2004-02-03  Saito <saito2@digitalme.com>

	* timidity/mix.c, timidity/timidity.c, timidity/playmidi.[ch],
	  timidity/readmidi.c, timidity/reverb.c:
	  Change implementation of #extension timeout.
	  Fix some initializations.
	  Fix some free() functions.
	  Implement opt_default_module.
	  Fix timidity_pre_load_configuration().
	* interface/w32g_utl.c:
	  Fix bug about number of voices.

2004-02-02  Kentaro Sato <kentaro@ranvis.com>

	* timidity/instrum.c, timidity/timidity.c:
	  Changed alloc_instrument_map_bank()'s behavior.

2004-02-02  Saito <saito2@digitalme.com>

	* timidity/mix.c:
	  Fix sustain.
	* timidity/sndfont.c:
	  fasten set_rootfreq().

2004-02-02  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/sndfont.c: Fix around scale tuning

2004-02-01  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.cfg.5, doc/ja_JP.ujis/timidity.cfg.5:
	  Update "(bank|drumset) mapid num" and "#extension copymap"

2004-01-31  mput <root@mput.dip.jp>

	* Makefile.am (EXTRA_DIST): Fix to fit below
	* INSTALL.jp: Move to INSTALL.ja
	* README.jp: Move to README.ja
	* INSTALL: update.
	* README: update.

2004-01-31  Kentaro Sato <kentaro@ranvis.com>

	* timidity/instrum.[ch], timidity/playmidi.[ch],
	  timidity/readmidi.c, timidity/timidity.c:
	  New syntax of *.cfg:
	    (bank|drumset) <mapid> <num>
	    #extension copymap <tomap> <frommap>
	  Besides, 'copybank' now copies tunes, envelopes, etc.
	  That should be what it is expected to do.
	* timidity/sysdep.h
	  Fixed a compilation error with MAX_CHANNELS > 32.
	* timidity/freq.c, timidity/sndfont.c
	  Changed error handling of freq_fourier() with cfgforsf.

2004-01-31  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.cfg.5, doc/ja_JP.ujis/timidity.cfg.5,
	  timidity/instrum.[ch], timidity/mod2midi.c,
	  timidity/playmidi.c, timidity/smplfile.c,
	  timidity/sndfont.c, timidity/timidity.c:
	  Support for GUS scale tuning
	  Support for scale tuning patch option

2004-01-29  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/readmidi.c:
	  Hack up around find_samples()

2004-01-28  Saito <saito2@digitalme.com>

	* timidity/playmidi.c, timidity/readmidi.c:
	  Fix "TONE MAP-0 NUMBER".
	  Fix around select_play_sample().
	  Fix about modulation wheel depth.

2004-01-27  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/wrd_read.c: Fix bug

2004-01-26  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* INSTALL(.jp), README(.jp):
	  Update README and INSTALL
	* doc/C/{timidity.1,timidity.cfg.5},
	  doc/ja_JP.ujis/{timidity.1,timidity.cfg.5}:
	  Fix typo

2004-01-26  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.1, doc/ja_JP.ujis/timidity.1:
	  Rewrite and fix typo a little

2004-01-26  mput <root@mput.dip.jp>

	* doc/C/timidity.1: Remove Japanese characters
	* doc/ja_JP.ujis/timidity.1: Add some missed entries

2004-01-26  Saito <saito2@digitalme.com>

	* timidity/playmidi.h, timidity/mix.c:
	  Fix envelope generator.

2004-01-25  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.1, doc/ja_JP.ujis/timidity.1:
	  Update man page of timidity.1
	  TODO: Translate some new items into English
	* timidity/timidity.c (parse_opt_h): Fix typo

2004-01-25  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c, timidity/readmidi.c: Fixed channel layer.

2004-01-24  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c: Fixed event filtering.
	* timidity/timidity.c: Added tone->rnddelay (re)initialization.

2004-01-22  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.cfg.5, doc/ja_JP.ujis/timidity.cfg.5: Fix typo

2004-01-22  mput <root@mput.dip.jp>

	* doc/C/timidity.cfg.5: update to fit with ranvis' patch
	* doc/ja_JP.ujis/timidity.cfg.5: ditto

2004-01-22  Kentaro Sato <kentaro@ranvis.com>

	* timidity/instrum.h, timidity/playmidi.c,
	  timidity/readmidi.c, timidity/timidity.c:
	  Removed GM2 default MSB support.	
	  Added new map 'gm2[drum]' (GM2) and 'sc8850[drum]' (GS LSB=4).
	  Note that although GS LSB=4 indicates both SC-8820 and SC-8850
	  and they're mapped identically, waveforms in the actual
	  hardwares differ.

2004-01-21  mput <root@mput.dip.jp>

	* doc/ja_JP.ujis/timidity.cfg.5: sorry, I was confusing. revert.
	* doc/C/timidity.cfg.5: fix typo

2004-01-21  mput <root@mput.dip.jp>

	* doc/ja_JP.ujis/timidity.cfg.5:
	  Was written in eucJP, convert to iso-2022-jp
	* doc/C/timidity.cfg.5: Bug fix.

2004-01-21  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* doc/C/timidity.cfg.5, doc/ja_JP.ujis/timidity.cfg.5:
	  Update man page of timidity.cfg.5

2004-01-21  Kentaro Sato <kentaro@ranvis.com>

	* timidity/{aiff_a.c,common.c,mac_a.c,mac_main.c,mac_qt_a.c,
	  mac_soundspec.c,mac_util.c,recache.c,wrd_read.c},
	  interface/{mac_c.c,mac_mag.c,mac_wrdwindow.c,wrdt_mac.c},
	  libarc/arc_mime.c:
	  Updated Mac interface to compile.

2004-01-20  Kentaro Sato <kentaro@ranvis.com>

	* interface/dumb_c.c, timidity/playmidi.c, timidity/sndfont.c:
	  Added playnote calculation for cfgforsf (finished).

2004-01-20  Saito <saito2@digitalme.com>

	* timidity/playmidi.c:
	  Fix around NRPN vibrato.

2004-01-18  mput <root@mput.dip.jp>

	* timidity/playmidi.c (calc_random_delay): tiny bug fix

2004-01-18  Saito <saito2@digitalme.com>

	* timidity/readmidi.c:
	  Fix aborting.

2004-01-17  Saito <saito2@digitalme.com>

	* timidity/playmidi.c:
	  Fix sostenuto and redamper.

2004-01-16  Saito <saito2@digitalme.com>

	* timidity/playmidi.c:
	  Fix SysEx.
	* timidity/reverb.[ch], timidity/effect.c, timidity/mt19937ar.h,
	  timidity/playmidi.[ch], timidity/instrum.h, timidity/timidity.c:
	  Implement pink noise generator.
	  Support for #extension rnddelay [ms].

2004-01-15  Kentaro Sato <kentaro@ranvis.com>

	* timidity/common.[ch], timidity/sndfont.c, timidity/timidity.c:
	  Changed #extension ...send, playnote option's argument format.

2004-01-15  Saito <saito2@digitalme.com>

	* timidity/timidity.c, timidity/playmidi.[ch], timidity/instrum.h,
	  timidity/mix.c, timidity/readmidi.c:
	  Support for redamper effect (#extension redamper).
	  Support for Sostenuto and Hold1 Half Pedal.

2004-01-15  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c: Casting error fixed.
	* timidity/sndfont.c:
	  Added playnote calculation for cfgforsf (incomplete).

2004-01-15  Daisuke Aoki <dai@sweetparty.ne.jp>

	* timidity/sndfont.c: cfgforsf supported comment option.

2004-01-14  mput <root@mput.dip.jp>

	* timidity/playmidi.c (play_event): Fix for buffer overflow
	* timidity/readmidi.c (drum_setup_xg): ditto

2004-01-13  Christian Casteyde <casteyde.christian@free.fr>

	* timidity/aRts_a.c (open_output): Fix for aRts backend hogging
	  100% CPU

2004-01-13  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c:
	  Rewrite and fix around select_play_sample()

2004-01-11  Saito <saito2@digitalme.com>

	* timidity/timidity.c, timidity/playmidi.c, timidity/instrum.h:
	  Support for #extension reverbsend, chorussend, delaysend.
	  Fix SF2 scale tuning.

2004-01-10  Saito <saito2@digitalme.com>

	* timidity/timidity.c, timidity/playmidi.[ch]:
	  Support for Drumpart Effect Send Level.

2004-01-09  Saito <saito2@digitalme.com>

	* timidity/timidity.c, timidity/playmidi.c,
	  timidity/mix.c, timidity/instrum.[ch]:
	  Fix typo.
	  Fix modulation envelope.
	  Fix GS SysEx. Drum Instrument Play Note.
	  Fix modulation wheel.
	  Add #extension playnote.
	  Add some patch options.

2004-01-08  Saito <saito2@digitalme.com>

	* timidity/sndfont.c, timidity/playmidi.[ch],
	  timidity/mix.c, timidity/recache.c, timidity/resample.c:
	  Fix vintage bug of SoundFont.
	  Fix resampling with SF2 scale tuning.
	  Fix modulation envelope.
	  Fix GS SysEx. Drum Instrument Play Note.

2004-01-07  Saito <saito2@digitalme.com>

	* timidity/playmidi.c, timidity/instrum.[ch],
	  timidity/mod2midi.c, timidity/smplfile.c:
	  Fix around SoundFont.

2004-01-06  Saito <saito2@digitalme.com>

	* timidity/playmidi.c, timidity/sndfont.c,
	  timidity/instrum.h, timidity/mix.c:
	  Support for SoundFont's Sample Link.
	  FIx around modulation wheel.
	  Fix around MoogVCF.
	  Undo change of opt_drum_power.

2004-01-05  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/sndfont.c,
	  timidity/mix.c, timidity/effect.c:
	  Fix around SoundFont.
	  Fix LPF resonance.
	  Add soft clipping function to noise-shaping on 16bit output.

2004-01-04  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/mix.c, timidity/sndfont.c:
	  Fix resonance of MoogVCF.
	  Fix around LPF.
	  Fix around SoundFont.

2004-01-03  Saito <saito2@digitalme.com>

	* timidity/playmidi.c:
	  Fix NRPN Resonance and Harmonic Content.
	* timidity/tables.c:
	  Change modulation delay table of Chorus Effect.

2004-01-02  Saito <saito2@digitalme.com>

	* timidity/playmidi.c:
	  Fix around modulation wheel.
	* timidity/sndfont.c:
	  Fix around SoundFont.

2003-12-31  Saito <saito2@digitalme.com>

	* timidity/sndfont.c, timidity/reverb.c:
	  Fix delay modulation.
	  Fix about SoundFont.
	* timidity/playmidi.c:
	  Improve compatibility of opt_drum_power.

2003-12-30  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch]:
	  Fix RPN Modulation Depth Range.

2003-12-29  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/readmidi.c:
	  Fix SysEx.

2003-12-28  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/readmidi.c, timidity/reverb.[ch]:
	  Support for Velocity Limit and Note Limit through GS / XG SysEx.
	  Support for Rx. Note On and Rx. Note Off through GS SysEx.
	  Support for XG SysEx Drum Setup.
	  Support for Dry Level through XG SysEx.

2003-12-27  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/readmidi.[ch]:
	  Fix about SysEx.
	  Fix XG channel layer.
	  Fix around channel pressure.
	* timidity/playmidi.[ch], timidity/resample.c,
	  interface/slang_c.c, interface/tk_c.c,
	  interface/w32g_subwin3.c, interface/xaw_c.c,
	  interface/w32g_c.c, interface/ vt100_c.c:
	  Rewrite modulation wheel.

2003-12-26  Saito <saito2@digitalme.com>

	* timidity/playmidi.c, timidity/readmidi.c:
	  Fix around channel pressure.

2003-12-25  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c, timidity/readmidi.c,
	  timidity/tables.[ch], timidity/timidity.c:
	  Support for GM2 default MSB bank and volume curve.

2003-12-24  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/readmidi.c:
	  Fix around channel pressure.
	  Fix system exclusive message.
	  Fix channel layer.

2003-12-23  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch], timidity/readmidi.[ch], timidity/playmidi.[ch],
	  timidity/tables.[ch], timidity/effect.c:
	  Implement XG Multi EQ.
	  Implement XG Part EQ (tone only).

2003-12-23  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c, timidity/readmidi.[ch], timidity/reverb.[ch]
	  timidity/tables.[ch], timidity/timidity.c:
	  Support for GM2 On SysEx. and pan table.

2003-12-21  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch], timidity/readmidi.c, timidity/playmidi.c:
	  Fix about Insertion Effect.
	  Sort out codes.
	  Fix lowpass filter for system effect.

2003-12-16  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch], timidity/readmidi.c:
	  Implement Plate Reverberator.
	* timidity/mix.c:
	  Fix tremolo waveform for SoundFont.

2003-12-12  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/resample.c:
	  Fix around vibrato.

2003-12-09  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/m2m.c (m2m_process_events): Fix drum volumes

2003-12-07  Saito <saito2@digitalme.com>

	* timidity/reverb.c, timidity/readmidi.c:
	  Fix parameters of HEXA-CHORUS.

2003-12-06  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch], timidity/readmidi.c, timidity/playmidi.c:
	  Fix Insertion Effect.
	  Implement HEXA-CHORUS for Insertion Effect.
	  Fix around opt_pan_delay.

2003-12-04  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/timidity.[ch]:
	  Support for voice LPF command line option

2003-12-04  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch], timidity/readmidi.[ch], timidity/playmidi.c:
	  Fasten initialization of Insertion Effect.
	  Implement new LPF for System Effect.

2003-12-03  Saito <saito2@digitalme.com>

	* interface/w32g_res.rc:
	  Fix dialog around temperaments.
	* timidity/reverb.[ch], timidity/readmidi.c:
	  Implement new algorithm for Distortion and Overdrive effect.
	* timidity/mix.c:
	  Fix a comment.

2003-12-02  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/mix.c:
	  Implement Moog VCF resonant lowpass filter;
	  it sounds good, but slow.
	* timidity/mix.c:
	  Fix typo.

2003-12-01  Saito <saito2@digitalme.com>

	* timidity/playmidi.[ch], timidity/tables.[ch],
	  timidity/mix.c, timidity/sndfont.c:
	  Implement Chamberlin's resonant lowpass filter;
	  it's faster but narrow band.

2003-11-30  Saito <saito2@digitalme.com>

	* timidity/readmidi.c, timidity/tables.[ch]:
	  Fix parameter-handling of Chorus Effect.

2003-11-28  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch]:
	  Fix around Chorus Effect.
	* timidity/playmidi.c:
	  Turn off opt_pan_delay in default.

2003-11-27  Saito <saito2@digitalme.com>

	* timidity/reverb.[ch], timidity/effect.c, timidity/readmidi.c:
	  Fix around GS Insertion Effect.

2003-11-24  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c:
	  Bug exposed by dynamic allocation of voice[] was fixed.

2003-11-22  Saito <saito2@digitalme.com>

	* interface/w32g_utl.c:
	  Fix typos.

2003-11-21  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/w32g_pref.c, interface/w32g_res.{h,rc},
	  interface/w32g_subwin3.c, interface/w32g_tracer.bmp:
	  Support for user-defined temperament (W32GUI version)

2003-11-19  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/ncurs_c.c, timidity/playmidi.[ch], timidity/readmidi.c:
	  Support for user-defined temperament entry with Universal SysEx.
	  - User-defined Temperament Entry (F0 7E id 08 0C tt <temper name>
	            ll [fh fl bh bl aa bb cc dd ee ff] ... F7)

2003-11-17  Takashi Iwai <tiwai@suse.de>

	* interface/alsaseq_c.c, timidity/alsa_a.c:  Fix the compilation
	  with the latest ALSA 1.0.0.

2003-11-14  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/alsaseq_c.c, interface/rtsyn_common.c,
	  interface/ncurs_c.c, interface/w32g_subwin3.c,
	  timidity/playmidi.[ch], timidity/tables.[ch]:
	  Support for temperament with passing major/minor key

2003-11-13  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Rewrite option handling a little

2003-11-13  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.[ch], timidity/tables.[ch], timidity/timidity.c:
	  new option -V power, --volume-curve=power

2003-11-10  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/tables.c:
	  Adjust mean-tone tuning (Salinas) in a stricter theory

2003-11-10  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/resample.c (set_resampler_parm): -N for Newton
	  interpolation should be 1 to 57 odd, not 1 to 56 even

2003-11-08  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/effect.c, timidity/playmidi.c, timidity/reverb.c,
	  timidity/timidity.c:
	  Hack up reverb levels without opt_effect_quality

2003-11-08  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/timidity.c (parse_opt_p): max voices to be changeable
	  (timidity_init_player): ditto.
	* timidity/mac_dlog.c (mac_SetPlayOption): ditto.
	* timidity/playmidi.h (max_voices): Add.
	* timidity/playmidi.c (max_voices): Add.
	* timidity/timidity.h (MAX_VOICES): Delete.

2003-11-06  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/tables.c:
	  Adjust Pythagoras tuning and pure intonation in a stricter theory

2003-11-05  Takashi Iwai <tiwai@suse.de>

	* timidity/alsa_a.c: Fixed bogus calculation of GETSAMPLES.

2003-11-05  mput <root@mput.dip.jp>

	* timidity/readmidi.c: Reindent.

2003-11-04  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/readmidi.c (set_xg_reverb_type): Add.
	  (parse_sysex_event_multi): Support for XG SysEx. reverb/chorus types

2003-11-01  Saito <saito2@digitalme.com>

	* timidity/sndfont.c:
	  Fix behaviour of SoundFont's scale-tuning like SB-Live!.
	* timidity/playmidi.c:
	  Add opt_pan_delay.

2003-11-01  mput <root@mput.dip.jp>

	* timidity/timidity.c (parse_opt_h): Fix in help message
	  (parse_opt_j): Enforce returning a int value
	  (parse_opt_Z1): ditto
	  (parse_opt_fail): Change exit status to EXIT_FAILURE

2003-10-31  Saito <saito2@digitalme.com>

	* timidity/playmidi.c:
	  Fix initialization of drumsets on synthesizer modes.

2003-10-30  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.c (set_reverb_level, get_reverb_level):
	  More flexibility for reverb level
	* timidity/timidity.c (parse_opt_reverb): Fix for case 0

2003-10-28  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.c, timidity/effect.c, timidity/timidity.c:
	  The user can now set the reverb level of any of the reverb modes.

2003-10-27  Kentaro Sato <kentaro@ranvis.com>

	* timidity/effect.c: Fixed noise shaping filter bug.

2003-10-26  Saito <saito2@digitalme.com>

	* timidity/mix.c, timidity/tables.[ch], playmidi.[ch]:
	  Implement phase difference between left and right experimentally.
	  If you want to disable this function, please
	  #undef "ENABLE_PAN_DELAY".

2003-10-25  skeishi <s_keishi@mutt.freemail.ne.jp>

	* interface/rtsyn.h:
	  Bug fix about TWSYNTH.
	* interface/rtsyn_common.c:
	  Fix timer of TWSYNTH.

2003-10-23  mput <root@mput.dip.jp>

	* timidity/controls.h: Fix signedness for ctl->flags
	* timidity/timidity.c (main): Fix for getopt_long

2003-10-14  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/readmidi.c: Fix around channel layer

2003-10-12  Kentaro Sato <kentaro@ranvis.com>

	* timidity/rcp.c: RCP tempo gradation is supported.

2003-10-11  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/readmidi.c:
	  Fix temperament control to fit with channel layer

2003-10-10  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/readmidi.c:
	  Fix around channel layer (GS - maybe completed)

2003-10-08  Takashi Iwai <tiwai@suse.de>

	* timidity/timidity.c: Fixed segfault or error with use of
	  #extension opt.  optind is reset before calling getopt_long()
	  again.

2003-10-08  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* */Makefile.in, aclocal.m4, configure, configure.in,
	  utils/getopt.c, utils/tmdy_getopt.h:
	  Revert fix getopt_long problem in MinGW environment

2003-10-08  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c: Fixed crash with --realtime-load
	  when an instrument of the alternative bank is not defined.
	* timidity/readmidi.c: Returning an error from WRDTracer.start()
	  now disables ME_SHERRY in addition to ME_WRD.
	  Fixed ME_GSLCD to be handled correctly in trace mode.

2003-10-08  mput <root@mput.dip.jp>

	* timidity/timidity.c (set_tim_opt_long): Bug fix

2003-10-07  Takashi Iwai <tiwai@suse.de>

	* timidity/timidity.c: Clean up option handling.

2003-10-07  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/readmidi.[ch]:
	  Fix around channel layer (to be continued)
	* timidity/newton_table.c: move to configs/msc-project.zip

2003-10-07  Saito <saito2@digitalme.com>

	* timidity/newton_table.c:
	  Add this file for VC.
	* utils/tmdy_getopt.h:
	  Fix for VC.

2003-10-07  skeishi <s_keishi@mutt.freemail.ne.jp>

	* utils/getopt.c, utils/tmdy_getopt.h:
	  Fix getopt_long's problem in MINGW environment.
	* interface/rtsyn_winmm.c:
	  Fix CPU usage rate of TWSYNTH.

2003-10-04  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/readmidi.c:
	  Fix around channel layer (to be continued)

2003-10-03  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/readmidi.[ch]:
	  Hack up around channel layer (to be continued)
	* timidity/timidity.c:
	  Rewrite help a little
	  Rename --effects -> --ext
	  Rename -EFresample -> -EFresamp

2003-10-03  mput <root@Mput.dip.jp>

	* timidity/Makefile.in: redo automake to fit with Iwai's commit

2003-10-02  Takashi Iwai <tiwai@suse.de>

	* configure.in, timidity/Makefile.am, timidity/resample.c,
	  timidity/resample.h, timidity/recache.c, timidity/timidity.c,
	  timidity/timidity.h, timidity/playmidi.c, timidity/playmidi.h,
	  timidity/calcnewt.c:
	  Use functions instead of macros for resamplation.  This doesn't
	  make the operation slower (even somtimes faster!).
	  The algorithm can be switched either by option --resample or
	  -EFresample (i.e. dynamically changable on ncurses interface).
	  The default algorighm is kept to gauss (defined in timidity.h).
	  
	  The behavior of -N option is now dependent on which algorithm
	  is being chosen.  -N0 for gauss and newton will switch to linear
	  interpolation for keeping compatibility.
	  
	  The gauss interpolation is optimized a bit for the default case.
	  It will give more chance for the compiler to make its job better.
	  
	  The newton coeff. table is included statically in the source
	  code, which was calculated formerly by calcnewt.c.

2003-10-01  mput <root@mput.dip.jp>

	* configure: autoreconf

2003-10-01  Takashi Iwai <tiwai@suse.de>

	* timidity/optcode.c, timidity/optcode.h:
	  Use macros instead of functions for imuldiv*() on generic
	  architectures.

2003-10-01  Takashi Iwai <tiwai@suse.de>

	* timidity/aRts_a.c, timidity/output.c: Removed arts2 output mode,
	  which is identical with arts mode, indeed.
	  Fixed wrong cast of pointer to integer.
	  Fixed the detect function of aRts.

2003-09-30  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* configure.in: Change order of Tcl/Tk library version

2003-09-29  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/readmidi.c:
	  Hack up around channel layer

2003-09-26  Kentaro Sato <kentaro@ranvis.com>

	* timidity/readmidi.c: Replaced the previous patch mis-applied.

2003-09-24  Kentaro Sato <kentaro@ranvis.com>

	* timidity/playmidi.c, timidity/readmidi.c:
	  Fixed crash with --realtime-load (opt_realtime_playing).

2003-09-21  Saito <timidity@flashmail.com>

	* timidity/w32_a.c:
	  Add detect() functions.
	* interface/rtsyn_winmm.c:
	  Fix around sleep().

2003-09-21  Kentaro Sato <kentaro@ranvis.com>

	* timidity/readmidi.c (add_channel_layer, remove_channel_layer):
	  Bug Fix

2003-09-18  Takashi Iwai <tiwai@suse.de>

	* timidity/output.h, timidity/timidity.c, timidity/*_a.c:
	  Added the detect callback to output record.  It's used to
	  check the availability of default device and fallback devices.

2003-09-18  mput <root@mput.dip.jp>

	* timidity/playmidi.c (note_off): Bug fix SEGV-ing for
	  non-existent instrument

2003-09-16  Saito <timidity@flashmail.com>

	* utils/getopt.h:
	  Fix around including unistd.h.
	* configs/msc-project.zip:
	  Fix utils.dsp for getopt.c.

2003-09-14  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/m2m.c (m2m_process_events): Bug Fix
	* timidity/m2m.c (vol_nonlin_to_lin): Bug Fix
	* timidity/mod2midi.c: Move all linear/non-linear MOD volume
	  conversion stuff into m2m.c
	* timidity/playmidi.c (recompute_amp): Use linear volume curves
	  when playing MOD files
	* timidity/playmidi.c (new_chorus_voice_alternate): Use
	  IS_CURRENT_MOD_FILE to check for MOD file types instead of
	  checking specifically for IS_MOD_FILE and IS_S3M_FILE

2003-09-13  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Rewrite help a little

2003-09-13  Kentaro Sato <kentaro@ranvis.com>

	* timidity/readmidi.c (recompute_insertion_effect): Bug fix.

2003-09-12  Takashi Iwai <tiwai@suse.de>

	* timidity/playmidi.h, timidity/timidity.c, interface/alsaseq_c.c:
	  Added --realtime-priority and --sequencer-ports options for
	  ALSA sequencer interface.
	* Drop root privilege after chaging RT-priority.
	* Enable background option only when ALSA seq. interface is
	  built in.

2003-09-12  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.c (new_chorus_voice_alternate): Revert
	  surround chorus delay back again (to 0.003)
	  (midi_drumpart_change): set/unset drumchannel info

2003-09-12  mput <root@mput.dip.jp>

	* timidity/playmidi.c: Remove C++ style ``//'' comments

2003-09-09  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.c (new_chorus_voice_alternate): Revert
	  surround chorus delay back to the value (0.002) used in v2.11.3.

2003-09-07  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/tables.c:
	  Adjust minor of mean-tone tuning and pure intonation
	  by syntonic comma, instead of Pythagoras tuning

2003-09-03  Takashi Iwai <tiwai@suse.de>

	* interface/alsaseq_c.c:
	  Fixed the compilation on ALSA 0.5.x environemnt.

2003-09-03  mput <root@mput.dip.jp>

	* configure: autoreconf

2003-09-02  Takashi Iwai <tiwai@suse.de>

	* TiMidity.ad.in, TiMidity-uj.ad.in: Move.
	* interface/tkmidity.ptcl, interface/xaw_c.c, interface/xaw_i.c:
	  Bug fix.

2003-08-28  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c:
	  Little patch to avoid prototype mismatch

2003-08-27  mput <root@mput.dip.jp>

	* configure: autoreconfed

2003-08-27  Takashi Iwai <tiwai@suse.de>

	* interface/alsaseq_c.c, configure.in:
	  higher resolution of rendering in ALSA sequencer mode
	  with the event timestamps.  works only on the latest
	  ALSA 0.9.
	  works now also with the non-audio-device (e.g. wav).

2003-08-26  Takashi Iwai <tiwai@suse.de>

	* timidity/timidity.c: clean up set_value().
	* interface/alsaseq_c.c: set the client name.

2003-08-25  mput <root@mput.dip.jp>

	* configure,timidity/Makefile.in: To fit with Iwai's changes

2003-08-25  Takashi Iwai <tiwai@suse.de>

	* configure.in, timidity/Makefile.am, timidity/output.c,
	  timidity/jack_a.c:
	  JACK output support (jackit.sf.net)
	  To enable JACK, you'll need pkgconfig installed.
	* timidity/timidity.c:
	  Fixed the path of libesd for AMD64 and PPC64 (/usr/lib64)
	* timidity/playmidi.c:
	  Added parentheses around the ambiguous conditions.

2003-08-21  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c (parse_opt_s): -s option works correctly again

2003-08-19  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/tables.c:
	  Adjust minor of Pythagoras tuning by syntonic comma

2003-08-18  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c:
	  Bug fix --{default,force}-{bank,program}

2003-08-17  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/timidity.c:
	  Bug fix --force-program

2003-08-17  mput <root@mput.dip.jp>

	* timidity/timidity.c (parse_opt_h): Bug Fix

2003-08-17 Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/timidity.c (parse_opt_s): -s option works correctly again
	* timidity/reverb.c (init_reverb):
	  -EFchorus=3 was cousing mono output to crash.

2003-08-15  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/timidity.[ch]:
	  Support for "Always use program n on channel m" option
	  Support for multi-argument of -Q option
	  Support for "Enable/Disable Temperament control" option
	  Fix typo around short/long options

2003-08-13  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c:
	  Support long option for "#extension opt" in timidity.cfg

2003-08-12  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Fix typo around long options
	  Rename --patch -> --patch-file

2003-08-12 TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Fix typo around long options

2003-08-11 TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Hack up around short/long options

2003-08-10 TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c (help): rewrite to fit with long options
	  Some option renamed
	  --[no-]modulation-wheel    -> --[no-]mod-wheel
	  --[no-]channel-pressure    -> --[no-]ch-pressure
	  --[no-]modulation-envelope -> --[no-]mod-envelope
	  --[no-]sort-list           -> --[no-]sort

2003-08-10 TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c:
	  Commonize functions between short and long options

2003-08-09 TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Some option renamed
	  --mode                  -> --output-mode
	  --stereo                -> --output-stereo
	  --mono                  -> --output-mono
	  --bit-width             -> --output-{16,8}bit
	  --encoding              -> --output-{linear,ulaw,alaw}
	  --[no-]output-byte-swap -> --[no-]output-swab

2003-08-09 TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/alsaseq_c.c, interface/ncurs_c.c,
	  interface/rtsyn_common.c, interface/server_c.c,
	  timidity/playmidi.c, timidity/timidity.c
	  (opt_realtime_playing, ctl.trace_playing):
	  Fix to fit with long options
	  Commonize parse_opt_O() between short and long options

2003-08-08  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Hack up around short/long options
	  Some option renamed
	  --[no-]4-point-interpolation -> --interpolation (merged)
	  --drums                      -> --drum-channel
	  --[no-]new-lpf               -> --[no-]voice-lpf
	  --exec                       -> --config-string
	  Some option deleted
	  --[no-]auto-start
	  --[no-]auto-exit
	  --[no-]drag-start
	  --[no-]uniq-list
	  --[no-]refine-list
	  --[no-]continue

2003-08-07  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c:
	  Commonize functions between short and long options

2003-08-07  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Hack up around long options
	  Rename --temperament -> --pure-intonation

2003-08-07 mput <root@mput.dip.jp>

	* timidity/timidity.c (set_tim_opt_long):
	  Some options was disabled: re-activate them.

2003-08-06  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Fix around long options
	  Hack up around output option parser

2003-08-06  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c:
	  Fix wrong branch between set_tim_opt_{long,short}
	  Fix typo around long options
	  Hack up around interface option parser

2003-08-04  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Some option renamed
	  --mid          -> --default-mid
	  --noise-shaper -> --noise-shaping
	  Hack up around effect option parser

2003-08-04  mput <root@mput.dip.jp>

	* timidity/timidity.c: Some option renamed
	  --auto-volume-compensation -> --[no-]volume-compensation
	  --config                   -> --config-file
	  --keysig                   -> --force-keysig
	  --key                      -> --adjust-key
	  --[no-]recomposer-dll      -> --[no-]-rcpcv-dll
	  --tempo                    -> --adjust-tempo
	  --[no-]overlap             -> --[no-]overlap-voice
	  --text-conversion          -> --output-charset
	  (parse_opt_204): Add

2003-08-04  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Fix typo again

2003-08-04  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c:
	  Separate independence of --auto-volume-compensation
	  Merge --buffer-bits to --buffer-fragments

2003-08-04  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Fix typo around long options

2003-08-03  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Hack up around long options

2003-08-03  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Add function prototypes

2003-08-03 mput <root@mput.dip.jp>

	* timidity/timidity.c (parse_opt_223): Fix typo

2003-08-02  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Fix almost all warnings

2003-08-02  mput <root@mput.dip.jp>

	* timidity/timidity.c: Fix typo and so on

2003-08-02  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c: Fix around long options

2003-07-31  mput <root@mput.dip.jp>

	* utils/tmdy_getopt.h: Moved from utils/getopt.h
	* timidity/timidity.c, utils/Makefile.am, utils/getopt.c:
	  Fix to fit above

2003-07-31  mput <root@mput.dip.jp>

	* utils/getopt.h: Fix including headers
	* timidity/timidity.c: Fix doubled header include

2003-07-29  mput <root@mput.dip.jp>

	* timidity/timidity.c (help): rewrite to fit with long options.
	  (set_tim_opt_short): Rename from set_tim_opt().
	  (set_tim_opt_long): Add.
	  (version): Add.
	* utils/getopt.[ch]: Add.
	* utils/support.[ch]: Delete getopt()

2003-07-28  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/tables.c:
	  Support for modal interchange playing in pure intonation
	  Fix around user-defined temperament type

2003-07-22  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/effect.c, timidity/timidity.c:
	  Hack up noise shaping filter for 8-bit linear encoding
	  Update command help

2003-07-22  Takashi Iwai <tiwai@suse.de>

	* timidity/timidity.c:
	  - Fixed the broken fallback-deveice selection.
	  - Changed the verbosity of gaussian table initialization
	    messages.

2003-07-21  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/darwin_a.c, timidity/effect.c, timidity/playmidi.c,
	  timidity/sndfont.c, timidity/timidity.[ch], timidity/w32_a.c,
	  timidity/w32g_a.c:
	  Change default settings for command line interface
	  - Change default output rate to 44100Hz
	  - Disable surround chorus in default
	  - Enable noise shaping filter in default
	  Enable SoundFont scale tuning
	  Beautify timidity/effect.c a little

2003-07-19  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c: Fix around SoundFont scale tuning

2003-07-19  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/readmidi.c:
	  Hack up SoundFont scale tuning
	  Fix around single-note tuning change

2003-07-16  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch]: Support for RPN tuning program select

2003-07-14  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/alsaseq_c.c,
	  interface/rtsyn_common.c, interface/rtsyn_winmm.c,
	  timidity/playmidi.[ch], timidity/rcp.c, timidity/readmidi.c:
	  Support for bulk tuning dump

2003-07-10  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c: Fix around single-note tuning change

2003-07-07  Takashi Iwai <tiwai@suse.de>

	* timidity/alsa_a.c:
	  Open a PCM device with non-blocking mode and later set back
	  to the blocking mode (for better usability).

2003-07-06  Saito <timidity@flashmail.com>

	* timidity/reverb.[ch], timidity/readmidi.c:
	  Fix comments.
	* configs/msc-project.zip:
	  Fix twsyng.dsp and interface.h.

2003-07-06  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/readmidi.c, timidity/tables.[ch],
	  timidity/timidity.c:
	  Support for single-note tuning change
	  Support for channel mute by user-defined temperament type
	  Fix around temperament type redrawing on ME_RESET
	  Fix around channel mute by temperament type on ME_RESET

2003-07-03  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/tables.[ch], timidity/timidity.c:
	  Support for user-defined temperaments (to be continued)

2003-07-03  Takashi Iwai <tiwai@suse.de>

	* configure.in: Support for tcltk 8.3/8.4
	* timidity/readmidi.c (read_midi_file): Support for RMI
	* timidity/sysdep.h: Fix in C99 bit width warranted integer types

2003-06-30  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/mod2midi.c (Voice_SetVolume): converted linear volume
	  events to non-linear events, so that mods will sound correct
	  again

2003-06-30  skeishi <s_keishi@mutt.freemail.ne.jp>

	* interface/rtsyn.h, interface/rtsyn_common.c,
	  interface/rtsyn_wimm.c interface/rtsyn_portmidi.c:
	  Fix Realteime Synthesizer Engine.

2003-06-29  skeishi <s_keishi@mutt.freemail.ne.jp>

	* interface/portmidisyn_c.c, interface/rtsyn.h,
	  interface/rtsyn_common.c, interface/rtsyn_wimm.c,
	  interface/rtsyn_portmidi.c: Added.
	* configure.in, interface.h.in,
	  interface/w32g_syn.c, interface/winsyn_c.c,
	  timidity/controls.c, timidity/timdity.c:
	  Add PortMIDI synthesizer mode.

2003-06-28  Saito <timidity@flashmail.com>

	* timidity/sndfont.c:
	  Fix volume bug of drum instruments.

2003-06-26  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.c (reduce_voice_CPU): Bug fix (this is
	  obsolate yet)
	* timidity/playmidi.c (note_off): rx_note_off == 0 should only
	  ignore drum Note Off if the sample is not looped, otherwise the
	  note will get stuck

2003-06-24  mput <root@mput.dip.jp>

	* bootstrap.sh, autoconf/Makefile.boot: Deleted.
	* Makefile.am (M4DIR, ACLOCAL_AMFLAGS): Add.
	* configs/Makefile.am (EXTRA_DIST): To fit with Saito's changes
	* timidity/Makefile.am (EXTRA_timidity_SOURCES): To fit with
	  Saito's changes

2003-06-22  Saito <timidity@flashmail.com>

	* nouse, timw32g, timw32gd, twsyng, cfgforsf, ...:
	  Remove VC++ project files.
	* configs/msc-project.zip:
	  Add msc-project.zip.

2003-06-21  Saito <timidity@flashmail.com>

	* nouse, timw32g, timw32gd, twsyng, cfgforsf, ...:
	  Add VC++ project files to be able to compile Win32GUI interface.
	  Fix VC++ project files.
	* timidity/sndfont.c:
	  Fix for cfgforsf.

2003-06-17  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* interface/winsyn_c.c: To work under PortAudio
	* interface/Makefile.am (EXTRA_DIST): Add entry for escape_sjis.pl
	* interface/escape_sjis.pl: Add
	* timidity/portaudio_a.c: Bug fix

2003-06-16  Saito <timidity@flashmail.com>

	* timidity/readmidi.c, timidity/reverb.c, timidity/timidity.c:
	  Fix lowpass filters of system effects.
	  Fix reverb-time calculation for new reverberation effect.
	  Remove overlapping initialize_gauss_table().

2003-06-15  mput <root@mput.dip.jp>

	* configure.in, timidity/Makefile.am: Fix a bit to merge
	  s_keishi's patch

2003-06-14  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* configure.in: Fix to fit with the addition
	* timidity/timidity.c, timidity/output.c: Fix to fit with the
	  addition
	* timidity/Makefile.am (EXTRA_timidity_SOURCES): Fix to fit with
	  the addition
	* timidity/portaudio_a.c: Add.

2003-06-14  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* timidity/timidity.c:
	  Fix noise with gauss interpolation at synthesizer modes.

2003-06-13  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* configure.in, interface.h.in,
	  timidity/Makefile.am, timidity/timidity.c:
	  Fix configures to be able to compile twsyng with gcc.

2003-06-13  Saito <timidity@flashmail.com>

	* timidity/playmidi.c, timidity/readmidi.c,
	  timidity/reverb.[ch], timidity/tables.c:
	  Fix insertion effect.
	  Fix illegal-parameter handling of delay effect.
	  Strengthen delay and chorus effect.
	  Support for reverb / chorus / delay LPF in correct method.

2003-06-12  Saito <timidity@flashmail.com>

	* timidity/playmidi.c, timidity/readmidi.c, timidity/reverb.[ch]:
	  Renew insertion effect.

2003-06-08  Saito <timidity@flashmail.com>

	* timidity/playmidi.[ch], timidity/readmidi.[ch],
	  timidity/rcp.c, timidity/timidity.c, timidity/reverb.c,
	  timidity/resample.c:
	  Fix in channel layer.
	  Change default -N to 0.

2003-06-08  mput <root@mput.dip.jp>

	* Makefile.am (dist-hook): Not to change msc-config.h every time
	* timidity/recache.c, timidity/resample.c, timidity/timidity.c:
	  Fix linkage of newt_coeff[][].

2003-06-06  Saito <timidity@flashmail.com>

	* timidity/playmidi.c, timidity/tables.c:
	  Fix about sc_vol_table[] and sc_vel_table[].

2003-06-06  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/tables.[ch], timidity/timidity.c, timidity/playmidi.c:
	  recompute_amp() handles velocity/volume/expression levels
	  correctly now.  see comments on perceived_vol_table[] in
	  tables.c

2003-06-06  mput <root@mput.dip.jp>

	* timidity/esd_a.c: Restore. Latest changes into this file turned
	  out to be unable to run on Windows.

2003-06-06  Takashi Iwai <tiwai@suse.de>

	* timidity/aRts_a.c (output_data, open_output): Fix typo

2003-06-05  mput <root@mput.dip.jp>

	* timidity/timidity.c (main): Add check codes for interface
	  exsitence (thanks Bernhard Rosenkraenzer <bero@redhat.com>)
	* timidity/arts_a.c, timidity/output.c: Merged Bernhard
	  Rosenkraenzer <bero@redhat.com> 's implementation.
	* configure.in: Fix to fit with David's patch
	* timidity/esd_a.c (open_output, close_output): dlopen() libesd
	  rather than introducing yet another requirement (thanks David
	  Walser and Bernhard Rosenkraenzer <bero@redhat.com>)
	* timidity/timidity.h (MAIL_DOMAIN): to localhost (thanks David
	  Walser and Maurizio De Cecco)

2003-06-04  mput <root@mput.dip.jp>

	* Makefile.am (dist-hook): Bug fix
	* configure.in,autoconf/Makefile.boot: modernize

2003-06-02  mput <root@mput.dip.jp>

	* bootstrap.sh: Fix to use make
	* configure.in: Fix to fit the adding files
	* autoconf/Makefile.am, autoconf/Makefile.boot,
	  autoconf/Makefile.in, configs/Makefile.am, configs/Makefile.in:
	  Add.

2003-06-01  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/effect.c (do_effect): Do not do reverb or chorus if
	  do_compute_data_midi() has already applied them with
	  USE_DSP_EFFECT.
	* timidity/playmidi.c (new_chorus_voice_alternate): opt_surround
	  update to work with the new effects
	  (adjust_panning): Hack to handle -EFchorus=2 in a "reasonable" way

2003-05-30  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* timidity/resample.c, recache.c:
	  Fix LAGRANGE_INTERPOLATION for uint32.

2003-05-30  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/reverb.[ch], timidity/timidity.[ch]:
	  Support for command line option below.
	  -E e/E : Enable/Disable modulation envelope.
	  -EFreverb=3 : Enable NEW MIDI reverb effect control (freeverb)
	                This effect is only available in stereo
	  Rename NEW_CHORUS as USE_DSP_EFFECT.

2003-05-30  Saito <timidity@flashmail.com>

	* timidity/sndfont.c:
	  Fix around set_rootkey().

2003-05-29  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/timidity.h (DEFAULT_VOICES): to 256 (was 64)
	* timidity/playmidi.c (do_compute_data_midi):
	  Fix -EFchorus option interpretation

2003-05-29  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* timidity/resample.c:
	  Fasten initialize_gauss_table().

2003-05-28  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/readmidi.c (parse_sysex_event_multi):
	  Fix XG Bulk Dump SysEx event parsing

2003-05-28  Saito <timidity@flashmail.com>

	* timidity/playmidi.c, timidity/reverb.c:
	  Fix a little.

2003-05-27  Saito <timidity@flashmail.com>

	* timidity/playmidi.c:
	  Bug fix in opt_realtime_playing != 2.
	  Fix aborting with Cherry sequencer. (TWSynth version)
	* timidity/sndfont.c:
	  Adapt some parameters to specifications for SoundBlaster Live!.

2003-05-27 Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/readmidi.c (parse_sysex_event_multi):
	  Fix XG multipart SysEx events

2003-05-26  Saito <timidity@flashmail.com>

	* timidity/recache.c, timidity/resample.c,
	  timidity/timidity.h, timidity/instrum.c:
	  Fix some codes to fit with EAW's commit.

2003-05-25  mput <root@mput.dip.jp>

	* configure.in
	  Fix --enable-spline option to fit with EAW's commit.
	
2003-05-25  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* au_a.c, wave_a.c:
	  Fix the file headers when > 1 audio file was output per timidity
	  session; the data length was not being reset between midi before
	* recache.c, resample.c, timidity.c, timidity.h, playmidi.c,
	  playmidi.h:	
	  Add Newton interpolation (slower and less accurate than Gauss).
	  Add Gauss interpolation (recommended, but takes up to 560kb
	  extra mem); defaults to -N 25 (best compromise between speed and
	  accuracy), -N 34 is maximum quality and should run in realtime
	  on many systems.
	* recache.c, resample.c:
	  Speed up cubic Lagrange interpolation.  Fix some loop and sample
	  start/end related bugs in all interpolation methods.
	* resample.c:
	  Rewrite most of pre_resample(), so that it can properly handle
	  higher order interpolation methods.  pre-resample with pentic
	  B-splines, instead of cubic spline, if Gauss or Newton is not
	  compiled in.
	* sndfont.c, instrum.c, mod2midi.c, recache.c:
	  Allocate an extra sample at the end of all sample data, in order
	  for all interpolation methods to not read beyond the bounds of
	  the arrays.  Initialize the extra sample to zero, so that there
	  will be no reads from unintialized memory.  Initialize the
	  entire recache buffer to zero, for the same reason.
	* playmidi.c:	
	  Fix a problem with voice reduction under Linux, maybe other
	  systems as well; rate is now calculated as it is displayed in
	  ncurs_c.c.  No more premature mass voice killings /
	  auto-polyphony capping.

2003-05-25  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* timidity/timidity.c:
	  Bug fix in config parameter with quotation.

2003-05-24  Saito <timidity@flashmail.com>

	* timidity/mix.c, timidity/reverb.c,
	  timidity/sndfont.c, timidity/playmidi.c:
	  Fix new Reverberation Effect.
	  Fix about SoundFont.

2003-05-22  Saito <timidity@flashmail.com>

	* timidity/tables.c, timidity/reverb.c, timidity/readmidi.c:
	  Fix new Reverberation Effect.
	  Improve Chorus Effect.

2003-05-21  Saito <timidity@flashmail.com>

	* timidity/playmidi.c, timidity/tables.c, timidity/reverb.c:
	  Fix new Reverberation Effect.
	  Fix tables for envelope generator.

2003-05-20  Saito <timidity@flashmail.com>

	* timidity/playmidi.c, timidity/tables.[ch],
	  timidity/instrum.c, timidity/playmidi.c, timidity/mix.c:
	  Support for transpose (key shift).
	  Strengthen new Reverberation Effect.

2003-05-19  Saito <timidity@flashmail.com>

	* timidity/playmidi.c, timidity/tables.[ch],
	  timidity/instrum.c, timidity/sndfont.c, timidity/mix.c:
	  Fix in delay and envelope generator.
	  Fix some noises.

2003-05-17  Saito <timidity@flashmail.com>

	* timidity/sndfont.c:
	  Bug fix.

2003-05-15  Saito <timidity@flashmail.com>

	* timidity/rcp.c, timidity/playmidi.[ch], timidity/readmidi.[ch],
	  timidity/resample.c, timidity/tables.[ch], timidity/sndfont.c,
	  timidity/mix.c, timidity/timidity.c:
	  Support for parse_sysex_multi() for RCP/R36/G18/G36 MIDI data.
	  Support for channel layer (GS - Rx. Channel / XG - Rcv Channel).
	  Fix in delay, envelope generator, vibrato and tremolo.

2003-05-12  Saito <timidity@flashmail.com>

	* timidity/sndfont.c, timidity/mix.c:
	  Fix tremolo.

2003-05-10  Saito <timidity@flashmail.com>

	* timidity/instrum.c, timidity/smplfile.c, timidity/mod2midi.c:
	  Fix fatal bug about scaleTuning.
	* timidity/sndfont.c, timidity/tables.[ch], timidity/mix.c,
	  timidity/playmidi.[ch], timidity/instrum.[ch], timidity/reverb.c:
	  Fix about tremolo again.
	  Fix in reverb parameters.
	  Fix about envelope for SoundFont.
	  Support for SF2 scaleTuning.

2003-05-08  Saito <timidity@flashmail.com>

	* timidity/sndfont.c:
	  Fix about tremolo again.

2003-05-07  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* timidity/sysdep.h:
	  Fix compile error in case of MAX_CHANNEL >= 33

2003-05-07  Saito <timidity@flashmail.com>

	* timidity/tables.[ch], timidity/mix.c,
	  timidity/playmidi.[ch], timidity/sndfont.c, timidity/resample.c:
	  Fix around tremolo and vibrato.
	  Fix about envelope generator.
	  Bug fix in pitch control.

2003-05-05  Saito <timidity@flashmail.com>

	* timidity/sndfont.c:
	  Fix in modify-release (pseudo-reverb).

2003-05-04  Daisuke Aoki <dai@sweetparty.ne.jp>

	* timidity/instrum.c, timidity/playmidi.c, timidity/playmidi.c,
	  interface/w32g_ut2.[ch], interface/w32g_subwin.c,
	  interface/w32g_subwin3.c, interface/w32g_pref.c,
	  interface/w32g_res.[h,rc]:
	  Fix around Win32 GUI.
	  Support for dynamic cfg changing experimentally.

2003-05-03  Saito <timidity@flashmail.com>

	* timidity/mix.c, timidity/playmidi.[ch],
	  timidity/instrum.[ch], timidity/sndfont.c,
	  timidity/mod2midi.c, timidity/smplfile.c:
	  Fix around tremolo and vibrato.
	  Fix delay.
	  Fix in volume & modulation envelope generator.

2003-05-02  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/w32g_{ini,pref}.c, interface/w32g_utl.[ch]:
	  Add temperament type mute selector in preference. (W32GUI version)

2003-05-02  Saito <timidity@flashmail.com>

	* timidity/sndfont.c:
	  Fix around initialization.
	  Fix about tremolo.
	* timidity/mix.c, timidity/playmidi.[ch]:
	  Fix about modulation envelope.
	  Fix about velocity to filter cutoff frequency.
	  Fix around envelope generator.

2003-05-01  Saito <timidity@flashmail.com>

	* timidity/sndfont.c, timidity/instrum.c,
	  timidity/mod2midi.c, timidity/smplfile.c:
	  Fix around initialization.
	* timidity/mix.c:
	  Bug fix in envelope generator.

2003-04-30  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/ncurs_c.c, interface/w32g_subwin3.c,
	  timidity/controls.h, timidity/playmidi.c:
	  Support for CTLE_MUTE.

2003-04-30  Saito <timidity@flashmail.com>

	* timidity/mix.c:
	  Bug fix in envelope generator.

2003-04-29  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/timidity.c:
	  Support for channel mute by temperament type.
	  Fix behavior of quiet channel option -Q0.
	  Fix around temperament control SysEx.

2003-04-29  Saito <timidity@flashmail.com>

	* timidity/instrum.c:
	  Fix behavior of user drumset / instrument.
	* timidity/tables.c, timidity/mix.c:
	  Modify envelope generator.
	* timidity/playmidi.c:
	  Disable Rx. Note Off for the moment.
	* timidity/sndfont.c:
	  Fix about initialization.

2003-04-29  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* timidity/playmidi.c, timidity/mod2midi.c:
	  Fix around MOD.

2003-04-24  Saito <timidity@flashmail.com>

	* timidity/reverb.c, timidity/playmidi.c, timidity/readmidi.c:
	  Fix around new reverb.
	* timidity/tables.c:
	  Randomize triangular waveform for SoundFont's LFO.
	* timidity/instrum.h:
	  Add some parameters to Sample struct.

2003-04-23  Saito <timidity@flashmail.com>

	* timidity/sndfont.c, timidity/playmidi.c, timidity/instrum.c:
	  Fix about cfgforsf.

2003-04-22  Saito <timidity@flashmail.com>

	* timidity/playmidi.c:
	  Fix about modulation envelope to pitch.
	* timidity/reverb.c:
	  Fix around reverb initialize.
	* timidity/recache.c, timidity/resample.c:
	  Fix around CSPLINE_INTERPOLATION.

2003-04-21  Saito <timidity@flashmail.com>

	* timidity/instrum.[ch], timidity/playmidi.c,
	  timidity/smplfile.c, timidity/sndfont.c, timidity/mix.c:
	  Add some internal parameters.
	  Change LPF behavior.

2003-04-19  Saito <timidity@flashmail.com>

	* timidity/reverb.c:
	  Fix about access violation.
	* timidity/playmidi.[ch], timidity/mix.c:
	  Support for LPF transition. (the source of this code is "fluidsynth")

2003-04-18  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* timidity/reverb.c:
	  Fix about LPF for system effects.

2003-04-18  Saito <timidity@flashmail.com>

	* interface/w32g_ini.c, interface/w32g_pref.c,
	  interface/w32g_utl.[ch], interface/w32g_res.[rc,h]:
	  Add "Effect Quality" option.
	* timidity/reverb.c:
	  Support for new reverberation effect.
	* timidity/sndfont.c:
	  Bug fix about initialize.
	* timidity/mix.c:
	  Bug fix about lowpass filter with modulation envelope.

2003-04-17  Saito <timidity@flashmail.com>

	* timidity/tables.[ch], timidity/reverb.[ch]:
	  Replace sine wave with triangular wave in chorus effect.
	* timidity/playmidi.[ch]:
	  Fix about NRPN vibrato.
	* timidity/readmidi.c:
	  Fix about map behavior.

2003-04-16  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/tables.[ch], timidity/timidity.c:
	  Support for Salinas as mean-tone tuning
	  in case of minor tonality.
	  # Be careful of wolf.

2003-04-15  Saito <timidity@flashmail.com>

	* interface/w32g_ini.c, interface/w32g_pref.c,
	  interface/w32g_utl.[ch], interface/w32g_res.[rc,h],
	  timidity/sndfont.c, timidity/playmidi.[ch],
	  timidity/instrum.[ch], timidity/mix.[ch]. timidity/smplfile.c:
	  Support for modulation envelope.

2003-04-15  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* interface/winsyn_c.c, interface/w32g_syn.c:
	  Fix about free_instruments_afterwards.

2003-04-14  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/w32g_pref.c:
	  Fix about preference window. (TWSynth version)

2003-04-13  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/w32g_res.rc:
	  Fix about preference window. (TWSynth version)

2003-04-13  s_keishi <s_keishi@mutt.freemail.ne.jp>
            TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/winsyn_c.c, timidity/playmidi.c:
	  Support for free_instruments_afterwards during MIDI streaming

2003-04-13  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/w32g_pref.c, interface/w32g_res.[h,rc]:
	  Fix about preference window. (W32GUI version)

2003-04-12  Saito <timidity@flashmail.com>

	* interface/w32g_c.c:
	  Improve timer resolution. (W32GUI version)

2003-04-12  mput <root@mput.dip.jp>

	* timidity/optcode.h
	(d2i):       rewrite using asm.
	(imuldiv8):  rewrite using asm.
	(imuldiv16): rewrite using asm.
	(imuldiv24): rewrite using asm.

2003-04-11  Saito <timidity@flashmail.com>

	* timidity/reverb.c, timidity/effect.c, timidity/mix.c:
	  Fix conversion to fixed-point number.
	* timidity/readmidi.[ch], timidity/instrum.c, timidity/timidity.c:
	  Fix about User Drumset and User Instrument.

2003-04-11  Norikatsu Shigemura <nork@ninth-nine.com>

	* timidity/timidity.c, timidity/mfi.c, timidity/sysdep.h,
	  configure{,.in}:
	  Fix about FreeBSD port.

2003-04-11  Saito <timidity@flashmail.com>

	* timidity/resample.c, timidity/playmidi.h:
	  Fix about bidir loop.

2003-04-10  mput <root@mput.dip.jp>

	* timidity/optcode.h, timidity/optcode.c:
	  delete repeated #define's

2003-04-10  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/sysdep.h: Fix again around splen_t

2003-04-10  Saito <timidity@flashmail.com>

	* timidity/tables.[ch]:
	  Modify sc_drum_level_table.
	  Add lookup_triangular.
	* timidity/mix.c:
	  Replace sine wave with triangular wave in SF2 instrument tremolo.
	  Disable tremolo auto-pan temporarily.
	* timidity/resample.c:
	  Replace sine wave with triangular wave in SF2 instrument vibrato.

2003-04-09  Saito <timidity@flashmail.com>

	* timidity/optcode.[ch]:
	  Implement imuldiv24() and d2i().
	* timidity/reverb.c, timidity/effect.c, timidity/mix.c:
	  Fasten effect-voice mixing function.
	  Replace imuldiv16() with imuldiv24() in some functions.
	* timidity/resample.c, timidity/playmidi.h:
	  Restore Voice struct sample_increment to int32.
	* timidity/playmidi.c:
	  Restore PANNED_LEFT, RIGHT, CENTER.
	* timidity/sysdep.h:
	  Change splen_t to uint32.
	* timidity/resample.c:
	  Disable bidir loop if SAMPLE_LENGTH_BITS = 32.

2003-04-09  mput <root@mput.dip.jp>

	* timidity/sysdep.h, timidity/recache.c:
	  Fix around splen_t.
	* configure, configure.in, {,*/}Makefile{,.in,.am}:
	  Add integer size detection.

2003-04-09  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/sysdep.h, timidity/recache.c:
	  Fix around INT32_MAX.

2003-04-07  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/w32g_subwin3.c:
	  Fix around temperament display (W32GUI version)

2003-04-06  Saito <timidity@flashmail.com>

	* timidity/playmidi.h, timidity/resample.c,
	  timidity/recache.c, timidity/instrum.h:
	  Change Sample struct (loop_end,loop_start,data_length)
	  to splen_t(int64).
	  Change Voice struct (sample_offset, sample_increment)
	  to splen_t(int64).

2003-04-06  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/w32g_subwin3.c, interface/w32g_tracer.{bmp,h}:
	  Support for temperament display (W32GUI version)

2003-04-04  mput <root@mput.dip.jp>

	* timidity/playmidi.c (recompute_freq): Fix fprintf() arg
	* timidity/playmidi.c (start_note): Fix cast to fit prototypes

2003-04-03  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/readmidi.c:
	  Support for temperament control with Universal
	  Real-Time SysEx.
	  - Temperament keysig control (F0 7F id 08 0A sf mi F7)
	  - Temperament type control (F0 7F id 08 0B ff gg hh tt F7)

2003-04-03  Saito <timidity@flashmail.com>

	* timidity/effect.c:
	  Fix noise shaping filter for 16bit output mode.

2003-04-02  Saito <timidity@flashmail.com>

	* timidity/effect.c, timidity/mt19937ar.[ch]:
	  Improve noise shaping filter for 16bit output mode.
	* timidity/playmidi.c, timidity/tables.[ch]:
	  Support for non-linear for NRPN drum instrument tva level.

2003-04-01  Saito <timidity@flashmail.com>

	* interface/w32g_res.rc, timidity/effect.c:
	  Implement noise shaping filter for 16bit output mode.
	* timidity/playmidi.c:
	  Fix polyphonic key pressure.

2003-03-31  Saito <timidity@flashmail.com>

	* interface/w32g_subwin3.c:
	  Fix tracer window (W32GUI version)
	* timidity/playmidi.[ch]:
	  Fix NRPN vibrato control.
	* timidity/mix.c:
	  Fix up tremolo.

2003-03-31  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/ncurs_c.c: Fix around temperament control SysEx.

2003-03-30  Saito <timidity@flashmail.com>

	* interface/w32g_res.rc:
	  Fix tab order (W32GUI version)
	  # thanks to Mr.rc

2003-03-28  Saito <timidity@flashmail.com>

	* timidity/mix.c:
	  Fix aborting in do_voice_filter() function.
	* timidity/playmidi.c:
	  Fix around voice-by-voice LPF.

2003-03-28  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/w32g_i.c, timidity/readmidi.c:
	  Enhance support for .rmi files.

2003-03-27  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* timidity/playmidi.c:
	  Fix behavior of user drumset.

2003-03-27  Saito <timidity@flashmail.com>

	* timidity/playmidi.[ch], timidity/readmidi.c:
	  Improve legato.
	  Improve NRPN cutoff control.
	* interface/w32g_subwin3.c:
	  Fix tracer window (W32GUI version)

2003-03-27  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c, timidity/readmidi.c:
	  Fix around temperament control SysEx.

2003-03-27  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/w32g_subwin3.c:
	  Fasten tracer window (W32GUI version)

2003-03-26  Saito <timidity@flashmail.com>

	* interface/w32g_subwin3.c:
	  Fasten tracer window (W32GUI version)

2003-03-26  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/alsaseq_c.c, interface/ncurs_c.c, interface/winsyn_c.c,
	  timidity/controls.h, timidity/playmidi.[ch], timidity/readmidi.c,
	  timidity/tables.[ch], timidity/timidity.c:
	  Support for temperament control with Universal
	  Non Real-Time SysEx.
	  - Temperament keysig control (F0 7E id 08 0A sf mi F7)
	  - Temperament type control (F0 7E id 08 0B ff gg hh tt F7)

2003-03-26  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/w32g_subwin.c (ListWndProc):
	  Add a check for nfiles when double-clickng in list window
	* interface/w32g_subwin3.c:
	  Bug fix in mutual exclusion for tracer window, which might cause
	  problems on Windows 2000.

2003-03-26  Saito <timidity@flashmail.com>

	* interface/w32g_subwin3.c:
	  Fix resource leak of tracer window (W32GUI version)

2003-03-25  Saito <timidity@flashmail.com>

	* timidity/playmidi.c:
	  Fix channel pressure about LPF.
	  Weaken NRPN cutoff controls.
	* interface/w32g_subwin3.c, interface/w32g_res.rc:
	  Fix tracer window (W32GUI version)

2003-03-24  Saito <timidity@flashmail.com>

	* timidity/playmidi.h, timidity/resample.c:
	  Restore Voice struct sample_offset to int32
	* timidity/playmidi.c:
	  Fix panning.
	* timidity/mix.c:
	  Optimize MIXATION about voice-by-voice LPF.
	* interface/w32g_subwin3.c, interface/w32g_tracer.h,
	  interface/w32g_res.h, interface/w32g_res.rc:
	  Improve the appearance of tracer window (W32GUI version)

2003-03-20  Saito <timidity@flashmail.com>

	* timidity/table.c, timidity/playmidi.c:
	  Fix panning.

2003-03-18  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.[ch], timidity/timidity.[ch]:
	  Support for command line option below.
	  -E l/L: Enable/Disable voice-by-voice LPF.

2003-03-18  Saito <timidity@flashmail.com>

	  Obsolete "velocity_table"
	  Obsolete "opt_sf_lpf"
	  Obsolete "opt_resonance"
	  Obsolete "#extension cutoff"
	  Obsolete "#extension resonance"
	* timidity/sndfont.c:
	  Bug fix around envelope
	* timidity/mix.c:
	  Fix around voice-by-voice LPF

2003-03-17  Saito <timidity@flashmail.com>

	* timidity/tables.[ch], timidity/timidity.c, timidity/mix.c:
	  Hack up def_vol_table[] and gs_vol_table[]
	* timidity/playmidi.h, timidity/resample.c:
	  Change Voice struct sample_offset to uint32
	* timidity/sndfont.c:
	  Bug fix around looping, sample rate, and envelope
	* timidity/mix.c:
	  Fixed around recompute_envelope()

2003-02-26  Chisato Yamauchi <cyamauch@hst.phyas.aichi-edu.ac.jp>

	* interface/xaw_i.c:
	  Support for gradient bar resource
	  Hack up around redraw

2003-02-23  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/tables.[ch], timidity/timidity.c:
	  Hack up attack_vol_table[] and sb_vol_table[]

2003-02-22  Chisato Yamauchi <cyamauch@hst.phyas.aichi-edu.ac.jp>

	* interface/xaw_i.c: Hack up around color resources

2003-02-16  Takaya Nogami <t-nogami@happy.email.ne.jp>

	* timidity/controls.c: Add macosx_control_mode
	* libarc/arc.c: Add NeoWrd Support

2003-02-16  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/winsyn_c.c (ctl_pass_playing_list): Fasten

2003-02-16  Stas Sergeev <stssppnn@yahoo.com>

	* interface/server_c.c, timidity/timidity.c:
	  Add timidity server support for dosemu's midid

2003-02-15  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/winsyn.c:
	  Bug fixed aborting (Windows synthesizer GUI version)

2003-02-08  Saito <timidity@flashmail.com>

	* interface/w32g_ini.c, interface/w32g_pref.c,
	  interface/w32g_res.c, interface/w32g_utl.c, timidity/mix.c,
	  timidity/playmidi.c, timidity/readmidi.c,
	  timidity/tables.c, timidity/tables.h:
	  Obsolete "Attack Env. (0..3)" option (W32GUI version)
	  Improve envelope precision for SoundFont
	* ChangeLog: updated

2003-02-07  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/playmidi.c
	  Bug fixed rarely aborting due to pitch bend

2003-02-07  mput <root@mput.dip.jp>

	* timidity/readmidi.c
	  Bug fixed SysEx. parser in case of no EOX

2003-02-01  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/timidity.c
	  Compilable on NetBSD/OpenBSD
	  # thanks to Mr.342

2003-01-23  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* interface/w32g_syn.c, interface/w32g_utl.c, interface/winsyn_c.c,
	  timidity/playmidi.c:
	  Add time management on Windows synthesizer

2003-01-18  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/w32g_ini.c, interface/w32g_pref.c,
	  interface/w32g_res.h, interface/w32g_res.rc,
	  interface/w32g_subwin2.c, interface/w32g_syn.c,
	  interface/w32g_utl.c, interface/w32g_utl.h, interface/winsyn_c.c,
	  libarc/unlzh.c, timidity/optcode.c, timidity/optcode.h,
	  timidity/playmidi.c, timidity/smplfile.c:
	  Add version information (Windows synthesizer GUI version)
	  Bug fix around GUI (Windows synthesizer GUI version)
	  Add max calculate time option (Windows synthesizer GUI version)
	  Bug fix multi preference dialog opened (W32GUI version)
	  Hack up playing performance (Windows synthesizer GUI version)
	  Bug fix palette color on WRD window (W32GUI version)
	  Hack up message display on main window (W32GUI version)

2003-01-18  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* interface/winsyn_c.c:
	  Hack up starting performance on Windows synthesizer

2003-01-16  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* interface/winsyn_c.c:
	  Bug fix around SysEx. on Windows synthesizer
	  Hack up playing performance on Windows synthesizer

2003-01-16  mput <root@mput.dip.jp>

	* libarc/unlzh.c, timidity/optcode.c, timidity/optcode.h:
	  Compilable on Solaris 8

2003-01-16  Saito <timidity@flashmail.com>

	* timidity/mix.c, timidity/playmidi.c, timidity/playmidi.h,
	  timidity/readmidi.c:
	  Support for real time SysEx. generally
	  Hack up each voiced LPF faster (maybe)

2003-01-12  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* interface/winsyn_c.c:
	  Support for real time SysEx. on Windows synthesizer

2003-01-11  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* interface/winsyn_c.c:
	  Commonize parse_sysex_event_multi() in winsyn_c.c to main

2003-01-11  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/w32g_i.c, interface/w32g_subwin2.c,
	  interface/w32g_wrd.h:
	  Bug fix text and graphic color on WRD window (W32GUI version)
	  Bug fix quitting with iconized (W32GUI version)

2003-01-10  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/alsaseq_c.c, timidity/readmidi.c, timidity/readmidi.h:
	  Support for real time SysEx. on ALSA sequencer

2002-12-05  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/winsyn_c.c, timidity/playmidi.c, timidity/playmidi.h,
	  timidity/readmidi.c, timidity/tables.c, timidity/tables.h,
	  timidity/timidity.c:
	  Support for real time SysEx. scale tuning

2002-11-20  Saito <timidity@flashmail.com>

	* timidity/readmidi.c:
	  Bug fix channel message affected by GS SysEx.

2002-11-18  Saito <timidity@flashmail.com>

	* timidity/reverb.c, timidity/tables.c, timidity/tables.h:
	  Optimize reverb.c a little

2002-11-12  Saito <timidity@flashmail.com>

	* interface/w32g_ini.c, interface/w32g_res.rc:
	  Modify English resources (W32GUI version)

2002-11-09  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* interface/w32g_ini.c, interface/w32g_pref.c,
	  interface/w32g_utl.c, interface/w32g_utl.h, timidity/mix.c,
	  timidity/playmidi.c, timidity/playmidi.h, timidity/timidity.c:
	  Support for command line option -A
	  as drumpower and auto volume adjustment
	  Change handling drumpower in % value (W32GUI version)
	  Beautify timidity/mix.c a little

2002-11-09  Saito <timidity@flashmail.com>

	* interface/w32g_i.c, interface/w32g_subwin2.c,
	  interface/w32g_subwin3.c, timidity/playmidi.c,
	  timidity/playmidi.h:
	  Hacked up channel pressure (after touch)

2002-11-08  Saito <timidity@flashmail.com>

	* interface/w32g_ini.c, interface/w32g_pref.c,
	  interface/w32g_res.h, interface/w32g_res.rc, interface/w32g_utl.c,
	  interface/w32g_utl.h, libunimod/load_xm.c, libunimod/multil.c,
	  timidity/gogo_a.c, timidity/playmidi.c, timidity/playmidi.h,
	  timidity/vorbis_a.c, timidity/w32g_vorbis_dll.c:
	  Support for auto volume adjustment
	  Support for embedded title TAG on MP3 output
	  Support for embedded title TAG on OggVorbis output
	  # thanks to Mr.Hanada

2002-11-03  Saito <timidity@flashmail.com>

	* timidity/mix.c, timidity/playmidi.c, timidity/reverb.c,
	  timidity/sndfont.c:
	  Bug fixed noisy LPF except 44.1kHz
	  Disabled drum detection on NRPN
	  Fasten mixing a little

2002-11-03  Daisuke Aoki <dai@sweetparty.ne.jp>

	* interface/w32g_i.c, interface/w32g_subwin2.c,
	  interface/w32g_subwin3.c:
	  Bug fixed GM/GS/XG display on tracer window (W32GUI version)
	  Hacked up drawing WRD window a little (W32GUI version)
	  Support for saving playlist to add .pls extension by force
	  (W32GUI version)

2002-10-30  Saito <timidity@flashmail.com>

	* timidity/mix.c, timidity/playmidi.c, timidity/playmidi.h,
	  timidity/tables.h:
	  Hack up envelope generator

2002-10-29  Saito <timidity@flashmail.com>

	* timidity/mix.c, timidity/playmidi.c:
	  Bug fix release of SoundFont

2002-10-28  Saito <timidity@flashmail.com>

	* timidity/sndfont.c, timidity/tables.c:
	  Hack up SoundFont volume calculation
	  with Ton's cooperation

2002-10-27  Saito <timidity@flashmail.com>

	* timidity/instrum.h, timidity/mix.c, timidity/playmidi.h,
	  timidity/sndfont.c:
	  Bug fix around SoundFont modification

2002-10-26  Saito <timidity@flashmail.com>

	* libunimod/load_xm.c, libunimod/mlutil.c, timidity/mix.c,
	  timidity/playmidi.c, timidity/readmidi.c, timidity/sndfont.c,
	  timidity/tables.c, timidity/tables.h:
	  Hack up for SoundFont reducing curve same as SB

2002-10-25  Saito <timidity@flashmail.com>

	* timidity/instrum.h, timidity/mix.c, timidity/playmidi.c,
	  timidity/playmidi.h, timidity/readmidi.c, timidity/sndfont.c:
	  Bug fix around real time SysEx.
	  Change for envelope calculation on SoundFont
	  Support for velocity and note envelope change

2002-10-20  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* timidity/playmidi.c:
	  Bug fixed not to initialize diff and reso
	  in recompute_voice_filter()

2002-10-19  Saito <timidity@flashmail.com>

	* timidity/playmidi.c:
	  Bug fix in case of illegal RPN value

2002-10-18  Saito <timidity@flashmail.com>

	* timidity/playmidi.c, timidity/sndfont.c:
	  Bug fix around SPECIAL_SAMPLE panning

2002-10-17  Saito <timidity@flashmail.com>

	* timidity/mix.c, timidity/playmidi.c, timidity/playmidi.h,
	  timidity/sndfont.c:
	  Modify CC10 panning change as twice
	  according to SF2.01 documentation
	  Modify handling parameter of each voiced LPF

2002-10-15  Saito <timidity@flashmail.com>

	* timidity/playmidi.c, timidity/playmidi.h:
	  Modify panning as stereo like on multi layer
	  Support for stereo sampled drumset (maybe)
	  Bug fixed around SysEx. chorus and delay (maybe)

2002-10-14  Saito <timidity@flashmail.com>

	* 
	  Modify volume pressure faster using effect

2002-10-10  Saito <timidity@flashmail.com>

	* 
	  Support for each voiced LPF activating velocity
	  according to SF2.01 documentation

2002-10-09  Saito <timidity@flashmail.com>

	* 
	  Support for NRPN, Drum Filter Cutoff, and Resonance (XG)
	  Support for part of real time GS SysEx such as EQ and reverb

2002-10-09  Daisuke Aoki <dai@sweetparty.ne.jp>

	* 
	  Bug fixed around tracer window (W32GUI version)

2002-10-09  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* 
	  Support for AltiVec technology for powerpc

2002-10-08  Saito <timidity@flashmail.com>

	* 
	  Support for each voiced NRPN

2002-10-06  Saito <timidity@flashmail.com>

	* 
	  Support for each voiced(sampled) LPF

2002-10-05  Saito <timidity@flashmail.com>

	* 
	  Modify NRPN Vibrato Rate and Vibrato Depth as relative change
	  Hacked up panning finely
	  Support for stereo sample (maybe)
	  Hacked up reverb very finely

2002-09-29  Saito <timidity@flashmail.com>

	* 
	  Support for GS SysEx. Rx. NOTE OFF

2002-09-28  Saito <timidity@flashmail.com>

	* 
	  Support for GS SysEx. Reverb Time (a little)

2002-09-27  Saito <timidity@flashmail.com>

	* 
	  Support for adjust drumset volume
	  Support for GS SysEx. Reverb Level

2002-09-25  Saito <timidity@flashmail.com>

	* 
	  Bug fixed click noise around release-time

2002-09-22  Saito <timidity@flashmail.com>

	* 
	  Support for LIMITED-MULTI of assign mode

2002-09-22  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* 
	  Support for modulation patch option in unit value
	  Bug fixed around tremolo_phase_increment

2002-09-19  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* 
	  Support for AIFF file as the voice data

2002-09-18  Saito <timidity@flashmail.com>

	* 
	  Support for GS SysEx. checksum

2002-09-15  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* 
	  Support for WAVE file as the voice data

2002-09-14  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* 
	  Bug fixed in case of MAX_CHANNEL >= 33
	  # thanks to Mr.Ueda

2002-09-10  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Add initial keysig GUI option for pure intonation

2002-09-10  Saito <timidity@flashmail.com>

	* 
	  Hacked up to use default value for LPF/resonance

2002-09-08  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Add initial keysig option for pure intonation

2002-09-01  Daisuke Aoki <dai@sweetparty.ne.jp>

	* 
	  Support for Windows synthesizer GUI version

2002-08-31  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* 
	  Support for config parameter with quotation

2002-08-31  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* 
	  Support for 2 ports on Windows synthesizer mode

2002-08-29  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Bug fixed ALSA sequencer to add readmidi_read_init()

2002-08-20  Likai Liu <news@likai.net>

	* 
	  Add ALSA daemon mode

2002-08-17  Saito <timidity@flashmail.com>

	* 
	  Bug fixed exit(1) -> return 1 in LZH extract

2002-08-10  s_keishi <s_keishi@mutt.freemail.ne.jp>

	* 
	  Support for Windows synthesizer mode

2002-07-31  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Support for meas.beat/keysig/tempo display on main panel

2002-07-29  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Bug fixed to use equal frequency table to select voice sample

2002-07-29  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* 
	  Bug fixed MAP behavior

2002-07-27  mput <root@mput.dip.jp>

	* timidity/optcode.c
	  Support for MMX extension for powerpc (--with-simd)

2002-07-25  mput <root@mput.dip.jp>

	* timidity/{timidity.h,sysdep.h,optcode.c,optcode.h}:
	  Arrange and divide timidity/timidity.h
	  Create timidity/sysdep.h and timidity/optcode.[ch]

2002-07-22  Saito <timidity@flashmail.com>

	* 
	  Rewrite all do_compute_data_midi()

2002-07-21  Saito <timidity@flashmail.com>

	* 
	  Add key shift and fixed key signature GUI option

2002-07-20  Saito <timidity@flashmail.com>

	* 
	  Add pure intonation playing GUI option

2002-07-18  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Add frequency table for minor song playing

2002-07-08  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Support for ME_TIMESIG/ME_KEYSIG for RCP/R36/G18/G36 MIDI data

2002-07-06  mput <root@mput.dip.jp>

	* configure.in:
	  Rewrite configure.in

2002-07-06  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Support for real-time display of measure/beat (ncurses)

2002-07-01  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Support for playing MIDI data in pure intonation

2002-06-21  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Add key change command line option
	  Update command help
	  Modify moving song with not only down/up but only j/k (ncurses)

2002-06-15  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Add function to play with fixed key signature number

2002-06-15  Saito <timidity@flashmail.com>

	* 
	  Modify volume to 1.63

2002-06-11  Daisuke Aoki <dai@sweetparty.ne.jp>

	* 
	  Support for channel_mute on tracer window (W32GUI version)

2002-06-10  Saito <timidity@flashmail.com>

	* 
	  Support for non-linear for pan

2002-06-08  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Support for real-time display key signature on SMF (ncurses)
	  Reflect keychange up/down to current key signature

2002-06-06  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Support for real-time display of key/tempo (ncurses)

2002-06-06  Saito <timidity@flashmail.com>

	* 
	  Bug fixed not to initialize NRPN on reset all controller

2002-06-05  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* 
	  Bug fixed to override patch option

2002-06-04  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* 
	  Support for real-time channel mute control (ncurses)
	  Modify moving ch. with not only c/C but only j/k (ncurses)

2002-06-01  Daisuke Aoki <dai@sweetparty.ne.jp>

	* 
	  Support for WRD graphic surface (W32GUI version)

2002-05-28  Saito <timidity@flashmail.com>

	* 
	  Make table for Vel./Vol./Exp. volume

2002-05-27  Daisuke Aoki <dai@sweetparty.ne.jp>

	* 
	  Add location/size of window option (W32GUI version)
	  Add tracer window (glow up right window) (W32GUI version)

2002-05-19  Daisuke Aoki <dai@sweetparty.ne.jp>

	* 
	  Keep window location (W32GUI version)
	  Specify max. of sub windows (W32GUI version)
	  Hacked up display surface (W32GUI version)

2002-05-19  Saito <timidity@flashmail.com>

	* 
	  Bug fixed noise in delay effect

2002-05-18  Saito <timidity@flashmail.com>

	* 
	  Support below
	  drumset n
	  #extension level [note] [tva level]

2002-05-17  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* 
	  Modify velocity_table[] and linear_vol_table[]
	  Support for playing MFi(Melody Format for i-mode, *.mld) file

2002-05-17  Saito <timidity@flashmail.com>

	* 
	  Support for #extension legato [prog] [0 or 1]
	  Arrange tables and hacked up velocity table

2002-05-12  Peter L Jones <peter@drealm.org.uk>

	* timidity/aRts_a.c
	  Hacked up aRts output module
	  An extension to the "order=o" SoundFont parameter

2002-05-12  Daisuke Aoki <dai@sweetparty.ne.jp>

	* 
	  Bug fixed random play (W32GUI version)
	  Keep last time play list

2002-05-11  Saito <timidity@flashmail.com>

	* 
	  Enable "note=" for SoundFont

2002-05-06  Saito <timidity@flashmail.com>

	* 
	  Support for GS SysEx. Pitch Offset Fine
	  Hacked up GS SysEx. around tone map
	  Hacked up user drumset behavior
	  Make table for envelope parameter module

2002-05-05  Saito <timidity@flashmail.com>

	* 
	  Support for Velocity Sense Depth/Offset
	  Modity to display unsupported GS/XG SysEx on console
	  Define int64

2002-05-02  Saito <timidity@flashmail.com>

	* 
	  Bug fixed to work alternate sound in case of -j option

2002-04-30  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/{instrum.[ch],timidity.[ch]}
	  Support for modulation patch option

2002-04-20  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/{instrum.[ch],timidity.c}
	  Support for ADSR patch option

2002-04-18  Saito <timidity@flashmail.com>

	* 
	  Bug fixed to reflect CFG setting in case of alternate sound
	  Bug fixed infinite looped in rs_bidir() of resample.c
	  Support for insertion effect only [01 10: Overdrive]

2002-04-16  TAMUKI Shoichi <tamuki@linet.gr.jp>

	* timidity/instrum.c
	  Using "tune=", change {low,high,root}_freq instead of sample_rate

2002-04-14  Saito <timidity@flashmail.com>

	* 
	  Change Sample struct (loop_end,loop_start,data_length) to uint32

2002-04-12  Saito <timidity@flashmail.com>

	* 
	  Modify to calculate LPF/resonance default value from parameter

2002-04-08  Saito <timidity@flashmail.com>

	* 
	  Support for LPF/resonance per channel

2002-03-27  Saito <timidity@flashmail.com>

	* 
	  Modify cfg option for SoundFont
	  You may use "note=" "pan=" "strip=tail"
	  Modify "amp=" algorithm

2002-03-04  Saito <timidity@flashmail.com>

	* 
	  Support for NRPN drum pitch coarse & fine

2002-02-28  Saito <timidity@flashmail.com>

	* 
	  Support for insertion effect

2002-02-19  Saito <timidity@flashmail.com>

	* 
	  Support for EQ ON/OFF per channel

2002-02-15  Saito <timidity@flashmail.com>

	* 
	  Fasten effect modules without reverb

2002-02-11  Saito <timidity@flashmail.com>

	* 
	  Support for chorus similar to delay
	  Adjust delay/chorus effect volume same as reverb
	  #define NEW_CHORUS to select previous surround chorus

2002-02-10  Saito <timidity@flashmail.com>

	* 
	  Support for delay nearly same as do_ch_reverb()

2002-01-31  Saito <timidity@flashmail.com>

	* 
	  Added semi-RT LPF (with resonance)

2002-01-27  Saito <timidity@flashmail.com>

	* 
	  Support for assign group for user drumset
	  Hacked up LPF of SoundFont

2002-01-21  Daisuke Aoki <dai@sweetparty.ne.jp>

	* 
	  Support for text only WRD display (W32GUI version)

2002-01-17  Daisuke Aoki <dai@sweetparty.ne.jp>

	* configs/msc-config.h,interface/{w32g_i.c,w32g_pref.c,w32g_res.h,
	  w32g_res.rc},
	  timidity/{common.c,gogo_a.c,vorbis_a.c,w32g_vorbisenc_dll.c}:
	  - Updated windows version.
	  - Bug fixed about gogo dll.
	  - Bug fixed about dialog menu.
	* script/{dllutl.rb,script/readme.txt}:
	  Dynamic import source generator for dll (vorbis, gogo).

2002-01-17  Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

	* timidity/C/timidity.1: Document fixed.

2002-01-16  Takashi Iwai <tiwai@suse.de>
	    Masanao Izumo <mo@goice.co.jp>

	* acinclude.m4,doc/C/Makefile.am,doc/C/README.alsaseq,
	  interface/alsaseq_c.c,timidity/alsa_a.c:
	  - Support ALSA 0.9
	  - Added alsaseq document (doc/C/README.alsaseq)

2002-01-16  Saito <timidity@flashmail.com>

	* timidity/{playmidi.c,readmidi.c}: Bug fixed
	* timidity/{playmidi.c,modmid_a.c}:
	  Change 'MOD -> MIDI file conversion' identifier from 'm' to 'M'.

2002-01-16  Kentaro Sato <kentaro@ps.catv.ne.jp>

	* timidity/{playmidi.c,readmidi.c}: Bug fixed

2002-01-16  Masanao Izumo <mo@goice.co.jp>

	* timidity/instrum.c: Bug fixed.
	* timidity/readmidi.c: Added TIMIDITY_TOOLS macro to build for timidity
	  tools.

2002-01-15  Masanao Izumo <mo@goice.co.jp>

	* timidity/{instrum.c,instrum.h,timidity.c}:
	  New configuration parameter tune=[+-]number (float)
	  For example
		bank 0
		0 piano.pat tune=+1		# up 1 note key
		1 britepno.pat tune=+2		# up 2 note key
		2 synpiano.pat tune=-1.5	# down 1.5 note key

2002-01-12  Masanao Izumo <mo@goice.co.jp>

	* Version 2.11.2 released.

2002-01-12  Masanao Izumo <mo@goice.co.jp>

	* timidity/readmidi.c:
	  Bug fixed about fix_string(strdup(...));

2002-01-09  Masanao Izumo <mo@goice.co.jp>

	* config.guess: Updated.
	* config.sub: Updated.
	* configure.in (Cygwin): DLL gogo is default if --enable-audio=gogo
	  is specified.

2002-01-08  Masanao Izumo <mo@goice.co.jp>

	* Update copyrights.

2002-01-07  Masanao Izumo <mo@goice.co.jp>

	* timidity/{timidity.h,mix.c,playmidi.h}:
	  Bug fix about LOOKUP_HACK.
	* timidity/{timidity.c,instrum.c,instrum.h,common.c,common.h,
	  readmidi.h,readmidi.c}:
	  Free config data at end of the main.

2001-12-29  Masanao Izumo <mo@goice.co.jp>

	* Version 2.11.1 released.

2001-12-29  Masanao Izumo <mo@goice.co.jp>

	* interface/w32g_res.rc: fixed.
	* timidity/timidity.c (Windows): fixed.
	* timidity/timidity.c: Try to continue even if any configuration
	  file is not found.
	* interface/{w32g_ini.c,w32g.h}: fixed.

2001-12-27  Masanao Izumo <mo@goice.co.jp>

	* Version 2.11.0 released.

2001-12-27  Masanao Izumo <mo@goice.co.jp>

	* timidity/{wave_a.c,output.c}: Move create_auto_output_name() from
	  wave_a.c to output.c.
	* interface/{w32g_vorbisenc_dll.c,w32g_vorbis_dll.c,w32g_ogg_dll.c},
	  timidity/{w32g_vorbisenc_dll.c,w32g_vorbis_dll.c,w32g_ogg_dll.c},
	  Move them from interface to timidity.

2001-12-26  Saito <timidity@flashmail.com>

	* timidity/sndfont.c: Bug fixed about LFO.

2001-12-26  Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

	* timidity/sun_a.c: Fixed the way to find the audio queue size
	  on NetBSD.

2001-12-26  Masanao Izumo <mo@goice.co.jp>
            Daisuke Aoki <dai@sweetparty.ne.jp>

	* timidity/{timidity.c,wave_a.c,w32_gogo.h,w32_gogo.c,vorbis_a.c,
	  sndfont.c,output.c,gogo_a.h,gogo_a.c,audriv_none.c,audriv_a.c},
	  interface/{w32g_i.c,w32g_res.h,w32g_vorbisenc_dll.c,w32g_pref.c,
	  w32g_vorbis_dll.c,w32g_ogg_dll.c,w32g_utl.c,w32g_ut2.c,w32g_subwin.h,
	  w32g_subwin.c,w32g_pref.h,w32g_c.c,w32g.h}:
	  - Merge windows code.
	  - Update windows resource.

2001-12-25  Masanao Izumo <mo@goice.co.jp>

	* timidity/w32_a.c: Close&Open to reset/flush the audio device.

2001-12-23  Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

	* doc/C/timidity.1: Updated.

2001-12-23  Masanao Izumo <mo@goice.co.jp>

	* timidity/aq.c (aq_flush): Bug fixed.
  	* timidity/vorbis_a.c: Enable to encode to variable sample rates.

2001-12-20  Masanao Izumo <mo@goice.co.jp>

	* timidity/playmidi.c: Bug fix.
	* interface/ncurs_c.c: Changed from 3 to 4 digits in audio queue
	  monitor.
	* timidity/common.c: Fixed security problem

2001-11-28  Miloslav Trmac <mitr@volny.cz>

	* interface/{dumb_c.c,slang_c.c,xaw_c.c,xskin_c.c}:
	  Fixed some problems.

2001-11-19  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/playmidi.c:
	  Fixed a bug and reduced voice cancellation in Chorus Mode 2.
	  Mod files and drums can still cancel on some full Left/Right pans.

	* timidity/mod.c:
	  Portas are now handled correctly for Ultimate Soundtracker mods.

2001-11-10  Daisuke Nagano <breeze.nagano@nifty.ne.jp>

	* doc/C/timidity.1: Updated.
	
2001-11-05  Saito <timidity@flashmail.com>

	* timidity/sndfont.c:
	  Updates do_lowpass().

2001-10-25  Takashi Iwai <tiwai@suse.de>

	* timidity/sndfont.c: Bug fix.

2001-10-23  Lalit Chhabra <LChhabra@iee.org>

	* timidity/sun_a.c:
	  Modified the sun_a.c file so that it checks for the AUDIODEV
	  environment variable and sets the sun audio device accordingly.

2001-10-19  Saito <timidity@flashmail.com>

	* timidity/{mix.c,mix.h,playmidi.c,playmidi.h,readmidi.c,readmidi.h,
	  reverb.c,reverb.h,tables.c,tables.h},
	  interface/{w32g_ini.c,w32g_utl.c,w32g_utl.h,w32g_pref.c,w32g_res.h,
	  w32g_res.rc,w32g_res.rc}:
	  - Updates Win32GUI version.
	  - Improved GS SysEx
	  - Added attack/release/decay-time(CC/NRPN tone/NRPN dram)
	  - Added drum level
	  - Added CC#94 pseudo delay (like chorus method)
	  - Adjusted reverb level
	  - Added resonance filter
	  - Modified envelope attack
	  - Adjusted velocity
	  - Supported user drumset (SC-88)
	  - Added some GS SysEx'es.

2001-10-10  Frederic LOYER <loyer@ensta.fr>

	* timidity/sffile.h: Bug fix.
	  Change uint8 pitchCorrection to int8 pitchCorrection.
	
2001-10-09  Masanao Izumo <mo@goice.co.jp>

	* Windows: Use w32_a.c instead of w32g_a.c

	* timidity/common.c: safe_malloc(), safe_large_malloc(): Modified to
	  avoid malloc(0).

	* libunimod/{load_xm.c,load_imf.c,load_it.c,load_uni.c}:
	  Strip gcc warnings.

	* Upgrade develop environment:
	  - automake 1.5
	  - autoconf 2.5x
	  - libtool 1.4.x

2001-06-25  Forever shall I be. <zinx@magenet.net>

	* Vorbis 1.0 support.

2001-06-25  Masanao Izumo <mo@goice.co.jp>

	* timidity/{m2m.c,freq.c}:
	  Change global variables to static.
	* interface/xaw_c.c: Bugfix for displaying title in random play mode.

2001-06-24  Hiroshi Yamashita <bluemoon@msj.biglobe.ne.jp>

	* timidity/{instrum.c,instrum.h,playmidi.c,sndfont.c}:
	  Enable to display SoundFont name.
	* interface/{xaw_c.c,xaw_i.c}:
	  Support CTLE_DRUMPART message in xaw interface.

2001-06-16  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/{m2m.c,freq.c}:
	  Remove some unused variables, and recast one of the
	  functions to void.

2001-05-31  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/readmidi.c: Bugfix about restarting.

2001-05-29  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/{output.c,playmidi.c,modmid_a.c,freq.c,freq.h,m2m.c},
	  utils/{fft4g.c,fft4g.h},
	  doc/m2m.txt;
	  New feature: MOD to MIDI conversion.
	

2001-05-29  Eric A. Welsh <ewelsh@ccb.wustl.edu>

	* timidity/instrum.c:
	  GUS sample pans are calculated correctly now.  The old method
	  resulted in most pans being off by -4.
	* timidity/{mix.c,playmidi.c,playmidi.h,timidity.h}:
	  New SMOOTH_MIXING define.  Any changes to left_mix or right_mix are
	  now smoothed over a 0.5 msec window, eliminating "cliffs" which
	  could result in popping noises.  This should be defined by default.
	* timidity/mod2midi.c:
	  period2note patch from Paolo Bonzini (you should already have this).
	  New shrink_huge_sample(Sample *sp) function.  Some mod samples are
	  bigger than 1 meg (the maximum size in TiMidity++) and need to be
	  resampled down to fit under the limit.
	* timidity/mod.c:
	  Tempo/BPM events are implemented more "correctly" now.
	  Sample pans are no longer applied twice (which was usually resulting
	  in everything coming out of the left speaker).

2001-05-26  Marcus Herbert <rhoenie@spam-filter.de>

	* timidity/mod.h, libunimod/load_okt.c: Change CR/LF -> LF
	* libunimod/load_med.c, timidity/wrd_read.c: Fix cast problems.

2001-05-05  Paolo Bonzini <bonzini@gnu.org>

        * timidity/mod2midi.c (period2note): always pick the
	  closest note instead of the lowest one.

2001-04-06  Takaya Nogami <t-nogami@happy.email.ne.jp>

	* timidity/resample.c: Bug fix.

2001-04-05  Joakim Verona <joakim@verona.se>

	* interface/alsaseq_c.c: Bug fix about quiet channel

2001-03-24  David Lawrence Ramsey <pooka_regent@hotmail.com>

	* timidity/readmidi.c: support for RMI/RMID/RMIDI files.

2001-03-18  Masanao Izumo <mo@goice.co.jp>

	* Version 2.10.4 released.

2001-03-13  Masanao Izumo <mo@goice.co.jp>

	* timidity/w32_a.c: decreased acntl() PM_REQ_GETQSIZ size
	  because of audio blocking.

2001-03-13  Masanao Izumo <mo@goice.co.jp>

	* Apply lost patches.

2001-03-10  Masanao Izumo <mo@goice.co.jp>

	* Version 2.10.3 released.

2001-02-24  Eric A. Welsh <ewelsh@gpc.wustl.edu>

	* timidity/readmidi.c: Improved XG SYSEX support.

2001-02-20  Ron Akkersdijk <akkersdi@hio.hen.nl>

	* interface/xaw_i.c: Bug fix.
	  1) Selecting "LoadALL" in the fileselecor didn't work.
	  Adding a "/" at the end of the 'p' string did the trick ;-)
	  2) I think XtVaSetValues free's whatever memory it got from
	     the caller the previous time. So ultimately it tries to
	     free local var 'currdir' (which was nevered malloced)
	     Solution: Copy 'currdir' to heapspace (new strsav routine).
	     Of course this may have introduced a memory leak 8-)
	* timidity/common.c: Bug fix.
	  Electric Fence doesn't like it if you try to alloc 0 bytes.
	  Besides, why first malloc 0 bytes and then check for a 0
	  bogus count afterwards.
	  Hmm, requesting 0 bytes should never happen doesn't it;
	  We are actually "repairing" an error made elsewhere 8-)

2000-02-15  Paolo Bonzini  <bonzini@gnu.org>

	* libunimod/load_stx.c: fix a crash if the tracker that made
	  an STX file is not recognized
	* libunimod/mlutil.c: fixed false negatives in recognizing
	  STM files.

2000-11-09  Masanao Izumo <mo@goice.co.jp>

	* timidity/playmidi.c: Fixed to update interface display.
	* configure.in, timidity/oss_a.c: Added new test for <soundcard.h>
	* timidity/oss_a.c: ioctl() has three arguments.
	* configure.in, timidity/oss_a.c: In OpenBSD OSS,
	  use /dev/audio instead of /dev/dsp
	* configure.in, In OpenBSD, Added new test for -lcurses for ncurses
	* configure.in, Added new test for -lossaudio
	* timidity/{readmidi.c,playmidi.c}: Trial change for GX.

2000-11-06  Eric A. Welsh <ewelsh@gpc.wustl.edu>

	* timidity/mod.c: The XM E1,E2,EA,EB,X1,X2 effects were all
	  implemented improperly before.
	
2000-11-02  Masanao Izumo <mo@goice.co.jp>

	* Version 2.10.2 released.

2000-11-01  Masanao Izumo <mo@goice.co.jp>

	* interface/alsaseq_c.c: Set time tick resolution to 100Hz.
	* timidity/aq.c: Bug fix.
	* interface/xaw_.c.: Bug fix.

2000-10-22  Masanao Izumo <mo@goice.co.jp>

	* timidity/mod.c: Bug fix.

2000-10-18  Masanao Izumo <mo@goice.co.jp>

	* Version 2.10.1 released.

2000-10-17  Paolo Bonzini <bonzini@gnu.org>

	Merged with libmikmod 3.1.9

	* libunimod/Makefile.am: added load_okt.c

	* libunimod/load_imf.c: envelopes weren't loaded correctly. The first
	envelope point was correct, the remaining half points were bogus, and
	the other half completely random.
	* libunimod/load_m15.c: effect 0xc (set channel volume) with effect
	parameter 0xff was misplayed as a note cut.  Effects 0x1, 0x2 and 0x3
	(portamentos) with effect parameter 0x00 were using the command
	memory, but these commands do not have effect memory for MOD files.
	* libunimod/load_med.c: use better variable names.
	* libunimod/load_mod.c: same as load_m15.c
	* libunimod/load_okt.c: new file.
	* libunimod/load_stm.c: recognize Wuzamod STM modules.  Plus, fixed
	sample rate.
	* libunimod/load_stx.c: recognize MOD2STM and Wuzamod STM modules.
	Plus, fixed sample rate.
	* libunimod/load_uni.c: recognize recent APlayer modules (.APUN
	format level 0x104)
	* libunimod/load_xm.c: same as load_imf.c

	* libunimod/mloader.c: register the Oktalyzer loader
	* libunimod/mlutil.c: moved the STM module signatures here, so that
	the STX loader can use them
	
	* libunimod/unimod_priv.h: moved the STM module signatures here, so
	that the STX loader can use them

	* timidity/mod.c: enabling the envelope (with an effect) for a sample
	with no associated envelope would cause immediate coredumps.  Also
	fixed arpeggio memory (which was ignored) and tempo slide (which
	was processed incorrectly).

2000-10-02  Daisuke Aoki <dai@sweetparty.ne.jp>

    * utils/nkflib.c: Update newer version.

2000-08-30  Masanao Izumo <mo@goice.co.jp>
	
    * interface/{Makefile.am,Makefile.in}:
	Added target of interface_r.so and interface_A.so.
	
2000-08-29  Masanao Izumo <mo@goice.co.jp>

    * interface/x_sherry.c: Remove memory leak.

2000-08-26  Henrique M. Holschuh <hmh@rcm.org.br>

    * Bug fixed about dynamic_interface_id
    * Added interface_?.txt files
	
2000-08-20  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/mix.c(sustain): Changed behavior to not begin the decay until
	after the sample plays past it's loop start.

2000-08-09  Masanao Izumo <mo@goice.co.jp>

    * Version 2.10.0 released.

2000-08-08  Masanao Izumo <mo@goice.co.jp>

    * interface/{w32g_ini.c,w32g_utl.c,w32g_utl.h},timidity/w32g_a.c:
	Change data_block_time to data_block_bits.

2000-07-24  Masanao Izumo <mo@goice.co.jp>

    * timidity/wave_a.c: Enable to write each separated wav file if `-o'
	command line option is omitted.
	The output filename is automatically generated from the input MIDI
	filename.  The file extension is changed to ".wav".
    * timidity/au_a.c: Likewise.
    * timidity/aiff_a.c: Likewise.
    * timidity/raw_a.c: Likewise.

2000-07-21/2000-07-24  Takashi SHIRAI <shirai@nintendo.co.jp>

    * timidity/oss_a.c: Bug fixed for the calculation of the counter.
	
2000-07-20  Masanao Izumo <mo@goice.co.jp>

    * configure: Added new options.
	--with-includes=DIRS
		Specify include directories (colon separated)
	--with-libraries=DIRS
		Specify library directories (colon separated)
    * configure: Check <vorbis/modes.h> and -lvorbis
    * vorbis_a.c: Supported Ogg Vorbis output: -Ov
	This feature is enabled if TiMidity is configured with
	--enable-audio=default,vorbis option.

2000-07-18  Takashi Iwai <tiwai@suse.de>

    * interface/alsaseq_c.c: Enabled OSS emulation.

2000-07-15  Takashi Iwai <tiwai@suse.de>

    * interface/alsaseq_c.c: Added new interface:
	TiMidity as ALSA sequencer client.  This interface enabled if
	the timidity is configured with --enable-alsaseq.

2000-07-15  Masanao Izumo <mo@goice.co.jp>

    * option -Bn,m sets audio buffer fragments as n, and audio buffer size
	as 2^n.  Specify -1 for default.

    * timidity/{playmidi.c,playmidi.h}: audio_buffer_bits and audio_buffer_size
	are parameter.

    * timidity/aq.c: Modified.

2000-07-05  Masanao Izumo <mo@goice.co.jp>

    * Version 2.9.5 released.
	
2000-07-04  Daisuke Aoki <dai@sweetparty.ne.jp>

    * interface/{w32g.h,w32g_c.c,w32g_i.c,w32g_ini.c,w32g_playlist.c,
	w32g_res.h,w32g_res.rc,w32g_subwin.c,w32g_ut2.c,w32g_utl.c,w32g_utl.h,
	timidity.c}: Upgrade Windows version.

2000-06-29  Randolph Bentson <randy@votehere.net>

    * doc/C/timidity.cfg.5: Fixed error in the documentation.

2000-06-24  Yoichi Imai <yoichi@silver-forest.com>

    * interface/gtk_i.c: Support for 5 button mouse to scroll window.

    * doc/C/timidity.cfg.5: Fixed error in the documentation.

2000-05-29  Masanao Izumo <mo@goice.co.jp>

    * timidity/readmidi.c (readmidi_add_event): Avoid negative timestamp.

2000-05-24  Masanao Izumo <mo@goice.co.jp>

    * Version 2.9.4 released.

2000-05-17  Masanao Izumo <mo@goice.co.jp>

    * Fixed automake 1.4 bug, and updated Makefile.in files using this fixed
      version of automake.  The automake patch is available from:
	http://www.goice.co.jp/member/mo/timidity/dist/automake-1.4-bugfix1.pat

2000-05-17  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * resample.c: Fixed drum portamento bug.
    * timidity/{instrum.c,sndfont.c}: Enable pre_resampling().

2000-05-12  Katsuhiro Ueno <katsu@blue.sky.or.jp>

    * timidity/alsa_a.c: Support for ALSA 0.6

2000-05-09  Masanao Izumo <mo@goice.co.jp>

    * timidity/resample.c: Fixed drum portamento bug.

2000-05-08  Masanao Izumo <mo@goice.co.jp>

    * Version 2.9.3 released.

2000-05-08  Masanao Izumo <mo@goice.co.jp>

    * interface/{Makefile.am,Makefile.in}: Changed target dependency for
	tclIndex not to change tclIndex unless the tcl-sources are changed.

2000-04-20  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/{resample.c,recache.c,playmidi.c}: Fix the previous patch.
	- Drum & Sample pan fix.
	- Remove pre_resampling().
	- And else...

2000-04-15  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c: Fixed voice reduction control.
    * timidity/{instrum.c,sndfont.c}: Removed the pre_resampling() calls
	in order to enable drum pitch bends.
    * timidity/readmidi.c: Remove duplicated code.
    * timidity/playmidi.c: Enable to get chorus level in drum channel.

2000-04-14  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c: Fixed pan pot

2000-04-12  Masanao Izumo <mo@goice.co.jp>

    * timidity/alsa_a.c(PF_BUFF_FRAGM_OPT):  Added the flag.

2000-04-12  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/recache.c: Bug fixed.

2000-04-11  Takashi SHIRAI <shirai@pon.nintendo.co.jp>

    * timidity/oss_a.c: Fixed for OSS version of !defined(SNDCTL_DSP_GETODELAY).

2000-04-10  Masanao Izumo <mo@goice.co.jp>

    * Version 2.9.2 released.

2000-03-30  Masanao Izumo <mo@goice.co.jp>
            (Bug reported by Takeyuki Uehara <tu01@uow.edu.au>)

    * interface/ncurses.c: Fixed problem that all channel statuses are reseted
      if the key `t' is pressed.

2000-03-28  Masanao Izumo <mo@goice.co.jp>

    * timidity/readmidi.c: Bug fixed about reading SMF track boundary.

2000-03-23,26  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/{resample.c,recache.c}: Fixed problem of cspline interpolation.

2000-03-21  Masanao Izumo <mo@goice.co.jp>

    * Version 2.9.1 released.

2000-03-20  Masanao Izumo <mo@goice.co.jp>
    * libarc/arc_tar.c: Fixed memory leak.
    * libarc/url.c: url_dump(): Avoid return NULL if nbytes is zero.
    * timidity/controls.h: Redefine RC_NONE
    * timidity/wrdt.c: __W32G__ => IA_W32GUI
    * timidity/mod2midi.c: period2note(): Fixed to search the period note
      between 0 and 119.

2000-03-12  Eric A. Welsh <ewelsh@gpc.wustl.edu>
    * timidity/recache.c: cache_resampling()
	Defined RESAMPLATION_CACHE, INTERPVARS_CACHE
	Cache resampling should be the same as what is used for
	non-cached notes, or else things will sound strange
    * timidity/playmidi.c: compute_data()
	reduce_quality_flag was being set while the buffer was being
	filled (beginning of file, or after an unpause).
	!aq_fill_buffer_flag keeps this from happening.
	Also, the flag was sometimes being set due to round off errors
	when it should not have been.  The (double) casting and < 99.5
	check fix this problem.

2000-03-12  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c: fixed bug when resampling hit the end
    of a sample (mixing did not happen for the last portion of the
    sample)
    * timidity/resample.c: set voice[i].timeout to 1 when resampling
    hits the end of a sample

2000-03-11  Paolo Bonizni <bonzini@gnu.org>

    * timidity/mod.c: Fixed effect Fxy interpretation (xy=32 sets
    speed, not tempo)
    * timidity/readmidi.[ch]: added tempo_adjust variable
    * timidity/timidity.c: added -T option

2000-03-11  Daisuke Aoki <dai@sweetparty.ne.jp>
	* configs/msc-config.h,
	  interface/{w32g.h,w32g_c.c,w32g_i.c,w32g_playlist.c,w32g_pref.c,
	  w32g_res.h,w32g_res.rc,w32g_subwin.c,w32g_ut2.c,w32g_ut2.h,
	  w32g_utl.c},timidity/wrdt.c:
		Upgrade Windows version.
		- Enable to resize Doc Window and List Window.  And also
		  enable to select the font.
		- Fixed bugs for displaying
	* libarc/arc_lzh: Fixed some problems

2000-03-08  Masanao Izumo <mo@goice.co.jp>

    * timidity/{playmidi.h}: Change ME_PATCH_OFFS enum position.
    * timidity/{mod2midi.c} (period2note): Fix to scan period_table[0..119].

2000-03-08  Paolo Bonzini <bonzini@gnu.org>

    * timidity/{mod.c,mod2midi.c}: Bug fix

2000-03-07  Masanao Izumo <mo@goice.co.jp>

    * timidity/mod2midi.c: Check error condition of return value of
      period2note, and use ctl->cmsg() to display the warning message
      instead of printf().

2000-03-06  Paolo Bonzini <bonzini@gnu.org>

    * timidity/mod2midi.c: Bug fix
    * timidity/playmidi.c (ME_PATCH_OFFS): Bug fix

2000-03-05  Paolo Bonzini <bonzini@gnu.org>

    * timidity/mod.c: fixed endless loop in the player
    * timidity/mod2midi.c: Voice_SetPeriod does not reset the sample (involved
      switching from ME_EXPRESSION to ME_KEYPRESSURE for volumes). Changed
      release time to 80 msec.
    * timidity/readmidi.h: made MidiEventList a doubly-linked list
    * timidity/readmidi.c: implemented doubly-linked-list in readmidi_add_event,
      and removed BACKWARD_EVENT_OK because the new implementation
      removed the inefficiency of backward events.

2000-03-05  Sawada Keiji <sqrt@tkf.att.ne.jp>

    * libarc/url_ftp.c: Bug fix.

2000-03-04  Mikhail Yakshin <yakshin@glasnet.ru>

    * timidity/{timidity.c,common.c}: Convert the text code
      from windows-1251 to koi8-r with command line option `-t 1251'.

2000-03-03  Masanao Izumo <mo@goice.co.jp>

    * timidity/C/timidity.cfg.5,timidity/ja_JP.ujis/timidity.cfg.5: update.

2000-03-02  Masanao Izumo <mo@goice.co.jp>

    * timidity/timidity.c (-R): Reset pseudo reverb (modify release)
	if `-R -1' is specified.
    * timidity/mod2midi.c: Enable to change release envelope time of
	the module file if command line option `-R' is specified.

2000-03-02  Paolo Bonzini <bonzini@gnu.org>

    * timidity/mod2midi.c: Solves a problem with low notes.

2000-02-27  Masanao Izumo <mo@goice.co.jp>

    * Version 2.9.0 released.

2000-02-24  Masanao Izumo <mo@goice.co.jp>

    * doc/C/timidity.cfg.5,doc/ja_JP.ujis/timidity.cfg.5 (#extension opt):
      Fixed documentation error.
    * libunimod/unimod.h (CHAR): Fixed redefiend error on Windows.

2000-02-19  Masanao Izumo <mo@goice.co.jp>

    * timidity/{playmidi.c,controls.h (CTLE_PROGRAM): Change control interface
      of program event.
    * timidity/{playmidi.c,controls.h (CTLE_DRUMPART): New event interface.
    * interface/ncurs_c.c: Change somethings...
    * interface/{gtk_c.cx_sherry.c},libunimod/{mloader.c,unimod.h},
      timidity/mod2midi.h:
	Shut gcc warning up.
    * libunimod/{unimod.h,unimod_priv.h}: WIN32 => __W32__
    * timidity/playmidi.c: Fixed key up/down for MOD file playing.

2000-02-18  Masanao Izumo <mo@goice.co.jp>

    * timidity/resample.c (FINALINTERP): Ignore.
      Now, TiMidity does not hit the end out of data, and ignores a final
      interpolation.
    * timidity/playmidi.c: Avoid overlapped voice when MOD file is playing.
    * interface/ncurs_c.c,timidity/playmidi.c: Fixed a indicator problem.

2000-02-16  Paolo Bonzini <bonzini@gnu.org>

    * configure.in,libunimod/*,timidity/{Makefile.am,mod.c,mod.h,mod2midi.c,
	mod2midi.h,readmidi.c,readmidi.c}: Support full module player.

2000-02-16  Paolo Bonzini <bonzini@gnu.org>

    * libarc/{url.h,url.c}: Bug fix

2000-02-15  Masanao Izumo <mo@goice.co.jp>

    * libarc/url.c (url_expand_home_dir): Bug fix of buffer-overrun.

2000-02-07  Masanao Izumo <mo@goice.co.jp>

    * Version 2.8.2 released.

2000-02-07  Katsuhiro Ueno <katsu@blue.sky.or.jp>

    * timidity/alsa_a.c: Improved.

2000-02-07  Masanao Izumo <mo@goice.co.jp>

    * timidity/alsa_a.c: Fixed for ALSA 0.4
    * configure.in:
	Add a test of -lpdcurses for the curses library.
	Use *-*-cygwin* for matching $target to CYGWIN.
    * all files: Update copyright line.

2000-02-02  Katsuhiro Ueno <katsu@blue.sky.or.jp>

    * timidity/{aq.c,aq.h,output.h,timidity.c,alsa_a.c}:
      Support for ALSA 0.5

2000-01-10  Peter Stuer <Peter.Stuer@pandora.be>

    * timidity/w32_a.c: Fixed dead-lock problem on NT (for console version).

2000-01-09  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/{recache.c,resample.c}: Optimized.

2000-01-06  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c: Fixed a bug of random pan.

2000-01-13  Masanao Izumo <mo@goice.co.jp>

    * timidity/sndfont.c (def_drum_inst): Removed.

2000-01-09  Masanao Izumo <mo@goice.co.jp>

    * config.sub config.guess install-sh: Update new version from autoconf 2.13
    * configure.in: Fixed variable substitution rules.

1999-12-24  Masanao Izumo <mo@goice.co.jp>

    * timidity/configure.in: Fixed typo.

1999-12-20  Masanao Izumo <mo@goice.co.jp>

    * timidity/instrum.c: Bug fix.

1999-12-02  Piotr Auksztulewicz <piotras@zeus.polsl.gliwice.pl>

    * timidity/output.c: Fixed missing of semicolon.

1999-11-29  Masanao Izumo <mo@goice.co.jp>

    * Version 2.8.1 released.

1999-11-29  Masanao Izumo <mo@goice.co.jp>

    * timidity/timidity.c,interface/{gtk_c.c,motif_c.c,w32g_i.c,w32g_util.c,
      w32g_ini.c,wrdt_wcon.c,xaw_c.c}: Bug fixes about over-running in strncpy.

1999-11-24  Masanao Izumo <mo@goice.co.jp>

    * configure.in: Fix typos

1999-11-19  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c (reduce_voice_CPU):  Obsoleted.  Use reduce_voice()
      instead of reduce_voice_CPU().

1999-11-24  Masanao Izumo <mo@goice.co.jp>

    * Version 2.8.0 released.

1999-11-24  Masanao Izumo <mo@goice.co.jp>

    * timidity/playmidi.c (start_note): Reset porta_control_counter.

1999-11-19  Masanao Izumo <mo@goice.co.jp>
            Takaya Nogami <t-nogami@happy.email.ne.jp>
    * Imported Macintosh sources from the 1999.10.31 of T.Nogami released.

1999-11-19  Masanao Izumo <mo@goice.co.jp>
    * timidity/resample.c (rs_plain): Bug fixed about PRECALC_LOOPS counter.
      This bug from the original of TiMidity.
	Original form: i = (le - ofs) / incr + 1;		(Original)
	Fixed form:    i = (le - ofs + incr - 1) / incr;	(Correct)
    * timidity/wrd_read.c: Check 0x20 command in the header block.

1999-11-18  Masanao Izumo <mo@goice.co.jp>

    * timidity/timidity.c (-M name): New command line switch.
	-M auto: Use *.mid.wav or *.mid.aiff instead of MIDI to WAVE
		 conversion.  The PCM file format must be 16bit sample and
		 the sampling rate equals as timidity's rate.
        -M none: Disable this feature (default)
        -M <filename>: Use the specified file.

1999-11-17  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c (reduce_voice(), reduce_voice_CPU()):
      Improved chorus reduction.
    * timidity/timidity.c: Changed the -h information displayed for -EFchorus=2

1999-11-16  Masanao Izumo <mo@goice.co.jp>

    * timidity/playmidi.c: New variable `char *pcm_alternate_file'.
      NULL or "none":  Don't use any pre-converted pcm files.
      "auto": Automatically select *.mid.wav or *.mid.aiff
      filename: Use the specified file.

1999-11-16  Masanao Izumo <mo@goice.co.jp>

    * configure.in,timidity/timidity.h: New configure option to choose
      wave interpolation in resampling.
	--enable-spline=linear		Linear interpolation (default)
	--enable-spline=cubic		Cubic interpolation
	--enable-spline=lagrange	Lagrange interpolation
	--enable-spline=no		No interpolation

1999-11-12  Masanao Izumo <mo@goice.co.jp>

    * timidity/{playmidi.h,playmidi.c}: Modified chorus implementations
    * interface/{Makefile.am,Makefile.in}: Added tclIndex in the package.
      If *.tcl are updated, tclIndex is automatically update with make.

1999-11-07  Takaya Nogami <t-nogami@happy.email.ne.jp>

    * timidity/{playmidi.c,readmidi.h}: 
      Use pre-converted file *.mid.wav or *.mid.aiff file to play *.mid
      if it is exists.

1999-11-06  Glenn Trigg <ggt@netspace.net.au>

    * interface/{gtk_c.c,gtk_h.h,gtk_i.c}:
      Added support for printing the lyrics from .kar files
      and also make the text area clear between files.

1999-10-26  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/instrum.c: Bug fixes.
      It is possible that (OFS>>FRACTION_BITS)+1 will yield a value which is 1
      beyond the length of the sample.  This happens when OFS < data_length,
      but (OFS>>FRACTION_BITS) == (data_length>>FRACTION_BITS).

1999-10-25  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c: Support adjust panning for chorused notes.
      This fix would remove "popping" noises.

1999-10-24  Michael Vanier <mvanier@bbb.caltech.edu>

    * README: Proofread.

1999-10-17  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/{mix.h,mix.c,timidity.c} (-m N): New command line switch, and
      implemented envelope_volume decay.
      N is the minimum number of msec to sustain a sustained note.

	-m 1	Effectively behaves as if all sustains are ignored,
		volume ramping is the same as normal stage 3.
	-m 0	Disable sustain ramping, causes constant volume sustains.
		(default)
	-m 3000	A note at full volume will decay for 3 seconds once it begins
		to be sustained (assuming the regular stage 3 rate would not
		cause it to decay even longer). Softer notes will of course
		die sooner.

1999-10-15  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c: Improvement to -EFchorus=2

1999-10-15  Tomoki Aono <a9601m@almn.is.osaka-kyoiku.ac.jp>

    * interface/{Makefile.am,Makefile.in}: Fixed a mistake of Makefile

1999-10-12  Masanao Izumo <mo@goice.co.jp>

    * Version 2.7.0 released.

1999-10-12  Masanao Izumo <mo@goice.co.jp>

    * NEWS,ChangeLog,ChangeLog.1,interface/xaw_redef.c: Fix typos.
    * timidity/readmidi.c (groom_list): Bug fix
    * interface/w32g_ini.c,timidity/{timidity.c,common.c,common.h (str2mID):
      Utility function to convert string to Manufacture ID.  This function
      is moved from w32g_ini.c to common.c, and used global.
    * timidity/{timidity.c,readmidi.h,readmidi.c}: -EM<HH>: New option.
      Use midi system as <HH>: <HH> is `gs', `xg', or `gm'.

1999-10-05  Masanao Izumo <mo@goice.co.jp>

    * interface/w32g_playlist.c (w32g_add_playlist): Bug fix
    * timidity/playlist.c (adjust_panning_immediately): True by default.
      adjust_panning_immediately toggle on/off with -F option.
      If this flag is true, currently-sounding pan position is changed
      when a Panpot message is received.  Otherwise, the pan position is
      changed when starting with the next note.

1999-10-04  Masanao Izumo <mo@goice.co.jp>

    * timidity/{readmidi.c,readmidi.h}: Fixed bug of random drum panning.

1999-10-01  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/readmidi.c: Modified GS Sysex for bank+program change.

1999-09-29  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/readmidi.c: Added GS Sysex for bank+program change.

1999-09-27  Masanao Izumo <mo@goice.co.jp>

    * Version 2.6.1 released.

1999-09-27  Masanao Izumo <mo@goice.co.jp>

    * AUTHORS,timidity/timidity.c,timidity/w32g_i.c:
      Changed E-mail address of Davide Moretti from <dmoretti@iper.net>
      to <dave@rimini.com>

1999-09-27  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/{playmidi.h,playmidi.c}: Fixed bug of random panning.
      Added new Channel structure member `int pan_random' for random pan flag.
      Note that all of dynamic interfaces must be re-compiled,
      because the size of `Channel' structure is changed.
      
1999-09-26  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/readmidi.c (XG SysEx): Support for XG Multi Part Data
      parameter change SysEx events.

1999-09-25  Masanao Izumo <mo@goice.co.jp>

    * timidity/{readmidi.c,playmidi.c}:
      Set MSB/LSB bank zero by default, except that XG MSB Bank of channel 10
      is 127 by default.

1999-09-21  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/timidity.c (-EFchorus=2): Bug fix.
      Typo in timidity.c 2.6.0, opt_surround_chorus never set.

1999-09-21  Masanao Izumo <mo@goice.co.jp>

    * Version 2.6.0 released.

1999-09-21  Masanao Izumo <mo@goice.co.jp>

    * timidity/rcp.c: Bug fix of SameMeassure.
    * interface/vt100_c.c (ctl_current_time): Bug fix of displaying bold.

1999-09-20  Masanao Izumo <mo@goice.co.jp>

    * timidity/aq.c (aq_samples): Save PM_REQ_GETSAMPLES value if the acntl()
      succeeds.
    * timidity/sun_a.c: Implement PM_REQ_GETFILLED and PM_REQ_GETSAMPLES of
      acntl().

1999-09-17  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/{timidity.c,playmidi.c,playmidi.h} (new_chorus_voice_alternate):
      To use the surround sound instead of detuned chorus.
      It is enabled with -EFchorus=2 or -EFchorus=2,level option
      (level := [0..63])

1999-09-14  Masanao Izumo <mo@goice.co.jp>

    * timidity/timidity.c (set_channel_flag): Bug fixed

1999-09-12  Shusuke Nisiyama <shu@athena.qe.eng.hokudai.ac.jp>

    * timidity/timidity.c (fpsetmask): On FreeBSD, remove FP_X_DZ flag
      from fp mask.

1999-09-10  Norikatsu Shigemura <nork@lb.u-tokai.ac.jp>

    * configure.in: Use $CC instead of ld for $SHLD of NetBSD.

1999-09-09  Masanao Izumo <mo@goice.co.jp>

    * Version 2.6.0-beta4 released for test version.

1999-09-08  Masanao Izumo <mo@goice.co.jp>
    * interface/x_sherry.c: Bug fix.
    * interface/{wrd_read.c,x_sherry.c}: Support part of the sherry ver.2.

1999-09-07  Masanao Izumo <mo@goice.co.jp>

    * configure.in,common.makefile.in: Fix missing of DEFAULT_PATH.
    * acinclude.m4: Add gtk.m4

1999-09-06  Katsuhiro Ueno <katsu@blue.sky.or.jp>

    * timidity/common.c (pathcmp): Bug fixed.
    * timidity/{acinclude.m4,configure.in}: Fix misspelled comment and
      remove garbage of output.

1999-09-06  Masanao Izumo <mo@goice.co.jp>
	
    * timidity/alsa_c.c:
	Check output rate with snd_pcm_playback_status.
	acntl: PM_REQ_GETQSIZ, PM_REQ_GETFILLABLE, PM_REQ_GETFILLED,
	PM_REQ_GETSAMPLES, and PM_REQ_FLUSH are supported.
	
1999-09-05  Masanao Izumo <mo@goice.co.jp>

    * Version 2.6.0-beta3 released for test version.

1999-09-05  Masanao Izumo <mo@goice.co.jp>

    * timidity/{readmidi.c,playmidi.c}: On XG mode, ignore the program
      change without bank select LSB.

1999-09-05  Yasuhide Oomori <dasen@typhoon.co.jp>

    * interface/gtk_i.c (gtk_set_locale): Enable locale.

1999-09-04  Masanao Izumo <mo@goice.co.jp>

    * timidity/{common.c,common.h} (pathcmp): New function to compare the path.
    * timidity/{common.c,common.h} (pathcasecmp): Obsoleted.
    * timidity/common.c (add_to_pathlist): Remove the duplicated path
      from `pathlist'.
    * interface/w32g_playlist.c: Use pathcmp() to compare the path.

1999-09-03  Masanao Izumo <mo@goice.co.jp>

    * configure.in (PKGDATADIR, PKGLIBDIR): New macro which is for
      $(pkgdatadir) and $(pkglibdir).
    * interface/xaw_i.c (XAW_BITMAP_DIR): New macro.
      XAW bitmap files are in XAW_BITMAP_DIR.
    * configure.in, timidity/timidity.h (TCL_DIR): Remove it from cpp flag.
    * configure.in,interface/tk_c.c (TKPROGPATH): Remove it from cpp flag.
      Add the definition in tk_c.c.
    * configure.in,timidity/timidity.c: SHARED_LIB_PATH -> SHLIB_DIR

1999-09-02  Masanao Izumo <mo@goice.co.jp>

    * timidity/dl_cygwin32.c -> timidity/dl_w32.c
    * timidity/{dl_w32.c,dl_dld.c,dl_dlopen.c,dl_hpux.c,dlutils.h} (dl_free):
      New function to unload dynamic link handler.
    * interface/dynamic_c.c: Make a hook to call dl_free() on ctl->close().
    * acinclude.m4,configure.in: Search and test for NAS library.
    * configure.in: Add --with-nas-library=library to specify NAS
      library with absolute path.  Note that -laudio can not be used
      because it is possible -laudio is not NAS library.
    * configure.in: Add --with-nas-includes=dir to specify the NAS
      include directory.
    * libarc/url_file.c: On Windows, use mapped-file to read the file.
    * timidity/timidity.c (handler): Only mark `intr'.
    * interface/w32g_i.c: Use WaitSingleObject() to wait to terminate
      the thread.

1999-09-02  Yasuhide Oomori <dasen@typhoon.co.jp>

    * INSTALL,INSTALL.jp: Update documentation to match new configuration
      mechanism.

1999-09-01  Masanao Izumo <mo@goice.co.jp>

    * configure.in: Modify action of --enable-dynamic[=mode_list].

1999-09-01  Masanao Izumo <mo@goice.co.jp>

    * Version 2.6.0-beta2 released for test version.

1999-09-01  Masanao Izumo <mo@goice.co.jp>

    * configure.in: Modify action of --enable-audio[=mode_list].
    * configure.in (--enable-interface[=interface_list]):  New configure
      option.  Specify comma separated interface list.  For example:
	--enable-interface=ncurses,tcltk,gtk
    * configure.in,timidity/timidity.c: If default audio is not specified,
      remove TIMIDITY_OUTPUT_ID macro from compiler option.

1999-08-31  Yasuhide Oomori <dasen@typhoon.co.jp>

    * timidity/oss_a.c: dsp_play_mode -> oss_play_mode

1999-08-31  Kei Hibino <hibi@utmc.or.jp>

    * configure.in (SHELL): AC_SUBST() for autoconf-2.12
    * configure.in (slang.h): Add new test.

1999-08-31  Katsuhiro Ueno <katsu@blue.sky.or.jp>

    * acinclude.m4: Bug fixed.

1999-08-30  Masanao Izumo <mo@goice.co.jp>

    * Version 2.6.0-beta1 released for test version.

1999-08-30  Masanao Izumo <mo@goice.co.jp>

    * timidity/playmidi.c (midi_program_change): Bug fixed.
    * configure.in: enable_audio_opt -> have_audio_opt
    * timidity/hpux_a.c: Use 'A' for HPUX network audio (Alib) instead of 'n'.
    * configure.in,timidity/{linux_a.c,oss_a.c,output.c}:
      Rename linux_a.c to oss_a.c
    * configure.in,timidity/output.c:
      Rename AU_LINUX to AU_OSS.
      Split AU_HPUX into AU_HPUX_AUDIO and AU_HPUX_ALIB.
    * configure.in: (Audio options): --enable-audio[=mode_list]
      `mode_list' is comma separated mode list:
		dev:  (default)
		      /dev/dsp    (Linux, FreeBSD, BSD/OS)
		      /dev/sb_dsp (BSD/OS)
		      /dev/audio  (Sun, NetBSD, HPUX)
		      IRIX audio or OSF/1 MME
		      Windows MMS
		oss:  OSS /dev/dsp (Exclusive dev mode)
		alsa: ALSA pcm device
		alib: HPUX network audio (Alib)
		nas:  NAS - Network Audio System
		esd:  EsounD
      Example:
		--enable-audio=alsa,nas,esd
		compiles and links ALSA, NAS, and EsounD audio output.
      By default, --enable-audio=dev.
    * timidity.c(TIMIDITY_OUTPUT_ID): Environment shell variable to
      specify output mode id.
    * configure.in(--with-default-output=<mode>): Support more output modes.

1999-08-28  Katsuhiro Ueno <katsu@blue.sky.or.jp>

    * configure.in:
      enable-dynamic -> dynamic
      If the compiler is gcc, use it for SHLD instead of ld.
    * configure.in, timidity/output.c (--with-default-output=<mode>):
      New configure option to specify default output mode.
    * interface/bitmaps/Makefile.am:
      $(TIMID_DIR)/bitmaps -> $(TCL_DIR)/bitmaps
    * common.makefile.in (TIMID_DIR):
      Set $(pkgdatadir) instead of $(pkglibdir).
      *** CAUTION ***: The default configuration file is replaced to
      /usr/local/share/timidity/timidity.cfg
    * configure.in, common.makefile.in, interface/Makefile.am (SHLIB_DIR):
      New makefile macro.  SHLIB_DIR is used to specify the directory
      which contains dynamic TiMidity interfaces.
    * configure.in, timidity/Makefile.am:
      Add -rdynamic option for gcc if --enable-dynamic.
    * interface/dynamic_c.c, timidity/timidity.c:
      Pass dynamic_control_mode.flags to dynamic interface.

1999-08-27  Masanao Izumo <mo@goice.co.jp>

    * Version 2.5.1 released.

1999-08-27  Masanao Izumo <mo@goice.co.jp>

    * timidity/aq.c: Bug fixed.  Avoid infinite loop in aq_flush();
    * timidity/{output.h,aq.c,w32g_a.c} (PM_REQ_OUTPUT_FINISH): 
    * interface/{x_wrdt.c,x_sherry.c},configure.in (ENABLE_SHERRY): Bug fix.

1999-08-26  Masanao Izumo <mo@goice.co.jp>

    * timidity/linux_a.c (ignore_processed_probrem, BYTES_PROCESSED_BUGFIX):
      Obsoleted.
    * timidity/linux_a.c (SNDCTL_DSP_GETOPTR, SNDCTL_DSP_GETODELAY): Use
      SNDCTL_DSP_GETODELAY instead of SNDCTL_DSP_GETOPTR to calculate
      sample point.
    * interface/w32g_utl.c: Bug fixed about the chorus and reverb settings.

1999-08-26  Masanao Izumo <mo@goice.co.jp>

    * Version 2.5.0 released.

1999-08-26  Masanao Izumo <mo@goice.co.jp>

    * timidity/linux_a.c(ignore_processed_probrem): Ignore to fix
      the byte processed problem if any errors occur.
      Why count_info.bytes doesn't stop even if the process is suspended?
    * configure.in: Remove -rdynamic option from $g_so_libs.

1999-08-25  Masanao Izumo <mo@goice.co.jp>

    * libarc/url_dir.c: If !unix, Don't use i-node to compare the directory.
    * configs/{msc-config.h,msc-interface.h,msc-sjis.txt}: Configuration
      header files for MSC.
    * Makefile.am(dist-hook): Added script to distribute configs/*
    * timidity/playmidi.c (Voice Reduction): Avoid division by zero.

1999-08-25  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/resample.c(RESAMPLATION): Optimization of macro for
      cspline with linear fallback.

1999-08-24  Masanao Izumo <mo@goice.co.jp>

    * interface/{Makefile.am,Makefile.in,w32g.h,w32g_c.c,w32g_i.c,
	w32g_ini.c,w32g_playlist.c,w32g_pref.c,w32g_rec.h,w32g_res.h,
	w32g_res.rc,w32g_subwin.c,w32g_subwin.h,w32g_utl.c,w32g_utl.h,
	w32g_sleep.bmp},
	libarc/url.c,
	timidity/{aq.c,common.c,controls.h,effect.c,playmidi.c,readmidi.c,
	sndfont.c,timidity.c,timidity.h,version.c,audio_cnv.c},
      Update new version of Windows GUI.
      Changes for MSC version.
    * TiMidity.ad, TiMidity-uj.ad: X Resources for XAW interface.
    * timidity/playmidi.c (compute_data): Fix division by zero.

1999-08-21  Masanao Izumo <mo@goice.co.jp>

    * timidity/{output.h,playmidi.c,w32g_a.c} (PM_REQ_PLAY_END): New macro.
	PM_REQ_PLAY_END is called just after playing.
    * timidity/playmidi.c (midi_program_change): Don't load instrument
      if !(play_mode->flag & PF_PCM_STREAM)
    * timidity/list_a.c (ME_PROGRAM): Call midi_program_change() to
      change the program.
    * timidity/list_a.c (channel): static -> extern.
    * timidity/list_a.c (start_list_a, end_list_a): New function.
	start_list_a(): Initialize internal variable.
	end_list_a(): Report internal variable.
    * interface/{w32g_c.c,w32g_i.c,w32g_pref.c} (List Midi Event `l'):
      Supported.  This output mode is useful to check what kind of patch
      is used.

1999-08-20  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/{playmidi.c,playmidi.h,resample.h,timidity.c}
      (cspline and lagrange interpolation):
      reduce_quality_flag: New variable to reduce CPU load for
	cspline and lagrange interpolation.  TiMidity turns
	reduce_quality_flag on when the CPU is heavily loaded.
      -4: New command line option to toggle whether ignore reduce_quality_flag.
	By default, TiMidity uses reduce_quality_flag.

1999-08-20  Masanao Izumo <mo@goice.co.jp>

    * interface/{w32g*,Makefile.am},timidity/w32g_a.c,configure.in:
      Update new version of Windows GUI.
    * timidity/{playmidi.c,controls.h} (RC_TUNE_END) Used for skip
      current playing.  This changes may be useful to play backward order of
      playlist.
    * timidity/miditrace.c (trace_wait_samples): Bug fixed.  This fix
      would down the CPU load in the trace mode.

1999-08-19  Masanao Izumo <mo@goice.co.jp>

    * timidity/{controls.h,playmidi.c} (CTLE_MAXVOICES): New macro for
      `voices' change.

1999-08-18  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * libarc/url_dir.c (d_ino): Ignore to check d_ino on Windows.

1999-08-18  Masanao Izumo <mo@goice.co.jp>

    * interface/ncurs_c.c (GSLCD): Draw GSLCD SysEx.
      Note that LCD is cleared if there is no message between 10 second.
    * interface/ncurs_c.c: Enable to display channels more than 16ch.
      The terminal must be able to display more than 24 rows to display
      more than 16ch.

1999-08-17  Masanao Izumo <mo@goice.co.jp>

    * interface/{common.c,common.h} (path_strchr, path_strrchr):
      New function to find path separator.
    * timidity/timidity.h (IS_PATH_SEP): New macro to test whether
      the character is the path separator.
    * interface/{ncurs_c.c,w32g_utl.c},
      timidity/{common.c,wrdt.c,timidity.c},
      libarc/{arc.c,url.c}:
      Fix comparison of path separator.
	- Use `IS_PATH_SEP(c)' instead of `c == PATH_SEP'.
	- Use `pathsep_strchr(str)' instead of `strchr(str, PATH_SEP)'
	- Use `pathsep_strrchr(str)' instead of `strrchr(str, PATH_SEP)'
      Windows console ncurses interface recognizes both
      "/" and "\" as path separator.
    * utils/{bitset.c,bitset.h} (check_bitset,change_bitset): New function.
	
1999-08-16  Masanao Izumo <mo@goice.co.jp>

    * interface/x_wrdwindow.c: Works more stable for TrueColor.
    * interface/x_sherry.c: Don't draw the window in skipping.
    * interface/x_sherry.c: Bug fixed:
 	- Could not re-open window.
	- Printed unexpected character.

1999-08-15  Masanao Izumo <mo@goice.co.jp>
    * interface/x_sherry.c: Change debug message verbosity.
    * interface/wrdt_x.c: Change debug message verbosity.

1999-08-13  Masanao Izumo <mo@goice.co.jp>

    * interface/ncurs_c.c: Fixed `L' command bug.

1999-08-11  Masanao Izumo <mo@goice.co.jp>

    * Version 2.4.1 released.

1999-08-11  Masanao Izumo <mo@goice.co.jp>

    * timidity/linux_a.c: Fixed to adjust PM_REQ_GETSAMPLES.
    * interface/x_sherry.c (sry_text): Do nothing if string length is zero.
    * interface/soundspec.c: Multipuly 1.5 to results.
    * interface/w32g_c.c(ctl_read): In Windows GUI interface, if
      play_pause_flag is true, wait until any control message is received.
      There is no CPU usage during pause.
    * libarc/arc.c (regist_archive): Static function.  This function is
      no longer library interface function.
    * timidity/timidity.c (read_config_file): Don't remove the end of
      '#' followed by non-space.
    * timidity/{playmidi.h,playmidi.c,readmidi.c,mac_c.c}:
      Make a new MidiEvent type `ME_GSLCD' and the interface control message
      `CTLE_GSLCD'.  If ME_GSLCD is received, TiMidity sends CTLE_GSLCD to
      the interface.
    * timidity/{common.c,timidity.c} (open_file_noise_mode): new global
      variable to pass `noise_mode' of open_file() to arc_error_handler.
    * wrdt.c: Make more elegant.
    * x_wrdwindow.c (gscreen_plane_mask): Bug fix.

1999-08-10  Masanao Izumo <mo@goice.co.jp>

    * libarc/arc.c (): Bug fixed to extract `-lh0-' and `-lz4-' of the lha.
    * interface/x_sherry.c: Bug fixed to create SHM pixmap.
    * libarc/{arc.h,arc.c}: Removed `pool' from ArchiveHandler.
      Use static variable arc_buffer in arc.c instead of ArchiveHandler.pool.
      `arc_buffer' is internal usage only.
    * timidity/playmidi.c (apply_controls): usleep(300000) if play_pause_flag.
    * interface/{w32g_c.c,w32g_canvas.c}:
      Fixed update timing for channel bar mode.

1999-08-09  Masanao Izumo <mo@goice.co.jp>

    * Version 2.4.0 released.

1999-08-09  Masanao Izumo <mo@goice.co.jp>
            Takaya Nogami <t-nogami@happy.email.ne.jp>
    * utils/{support.c,mac_readdir.c,mac_util.c,mac_util.h},
      interface/{xskin.h,VTPrsTbl.c,mac_c.c,mac_loadBMP.c,mac_loadBMP.h,
	mac_loadpng.c,mac_oms.c,mac_oms.h,mac_sherry.c,mac_skin.c,mac_skin.h,
	mac_trace.c,mac_wrd.h,mac_wrdwindow.c,mac_wrdwindow.h,wrdt_mac.c},
      timidity/{output.h,playmidi.h,playmidi.c,readmidi.c,wrdt.c,
	mac_a.c,mac_com.h,mac_dlog.c,mac_main.c,mac_main.h,mac_oms_a.c
	mac_qt_a.c}
      Imported Macintosh sources from the 1999.8.7 of T.Nogami released
      Added GS lcd event by T.Nogami.

1999-08-08  Masanao Izumo <mo@goice.co.jp>

    * timidity/playmidi.c (ctl_updatetime): New function to
      update interface time.
    * timidity/common.c (DECOMPRESSOR_LIST, PATCH_CONVERTERS):
      Ignored for Windows.  These filters are not worked yet.
    * interface/w32g.h (RC_EXT_UPDATE_PLAYLIST): New macro.
    * interface/{w32g_c.c,w32g_i.c}: w32g_update_playlist() only
      called from w32g_c.c.  Don't call it from w32g_i.c.
    * interface/vt100_c.c: Change a old copyright to new one.

1999-08-07  Masanao Izumo <mo@goice.co.jp>

    * libarc: Make archive library code more simple.
      Some interfaces are changed.
      New archive library can expand more archive files.
    * timidity/{timidity.c,common.c} interface/{ncurs_c.c,xaw_c.c}:
      Change to new libarc interface.
    * timidity/playmidi.c (midi_program_change):
      Don't change the instrument of SPECIAL_PROGRAM channel.
    * timidity/output.h (PM_REQ_GETFILLABLE): New macro.
      play_mode->acntl(PM_REQ_GETFILLABLE, &fillable) gets
      number of samples can write.
    * timidity/output.h (PM_REQ_GETFILLED): New macro.
      play_mode->acntl(PM_REQ_GETFILLED, &filled) gets
      number of samples in audio device.
    * timidity/aq.c (aq_fillable): Check PM_REQ_GETFILLABLE.
    * timidity/aq.c (aq_filled): Check PM_REQ_GETFILLED.
    * timidity/linux_a.c (acntl):
      PM_REQ_GETQSIZ, PM_REQ_GETFILLABLE, PM_REQ_GETFILLED,
      PM_REQ_GETSAMPLES, and PM_REQ_FLUSH are implemented.
      (Tested SOUND_VERSION 0x030802)
    * timidity/aq.c (aq_flush): Avoid unterminated loop.
    * interface/ncurs_c.c: Bug fixed about displaying instrum name scroll.

1999-08-02  Masanao Izumo <mo@goice.co.jp>

    * interface/w32g_i.c (hListWnd, hSettingWnd): Create at first open.
    * interface/w32g_i.c (w32g_i_init): New function.  It is called just
      last of w32g_initialize().
    * interface/w32g_canvas.c (TmCanvasMode): Global.
    * interface/w32g_i.c (SettingWndApply): Restore ctl->trace_playing after
      ApplySettingTiMidity().
    * interface/w32g_i.c: Remove warning message that was displayed when
      a user tries to change the timidity parameter.

1999-08-01  Masanao Izumo <mo@goice.co.jp>

    * Version 2.3.0 released.

1999-07-31  Masanao Izumo <mo@goice.co.jp>

    * timidity/playmidi.c (compute_data):  Move the call of apply_controls()
      position to before output.
    * timidity/playmidi.c (play_midi_file): Initialize `current_file_info'
      at beginning of play_midi_file();
    * timidity/readmidi.h (IS_ERROR_FILE): New macro to mark the error file.
    * timidity/playmidi.c (play_midi_file): Mark IS_ERROR_FILE to
      current_file_info if the file isn't recognized as MIDI file.
    * timidity/playmidi.c: Enabled to control playing position during pause.
    * interface/{w32g.h,w32g_c.c,w32g_canvas.c,w32g_i.c,w32g_ini.c,
      w32g_panel.c,w32g_playlist.c,w32g_res.h,w32g_res.rc,w32g_utl.c,
      w32g_utl.h}:
       - Re-made Windows GUI interface.
       - Added new feature of changing the output.  Now, Windows GUI TiMidity
	 can convert MIDI to WAVE file.
       - Enabled to delete playlist file.
	 [Delete] Key:    Delete the CurSel item.
	 [BackSpace] Key: Delete the upper of CurSel item.

1999-07-30  Masanao Izumo <mo@goice.co.jp>
    * timidity/controls.h (CTLE_PAUSE): New macro for pause event.
    * timidity/playmidi.c (ctl_pause_event): New function to send CTLE_PAUSE.
    * timidity/ncurs_c.c (display_aq_ratio): Bug fixed division by zero.
    * timidity/aq_c.c (aq_setup): Clear the queue for file output.
    * timidity/{controls.h,timidity.c} (CTLF_AUTOSTART, CTLF_AUTOEXIT):
      New macro for ControlMode.
      CTLF_AUTOSTART is toggle on/off with -i?a option.
      CTLF_AUTOEXIT is toggle on/off with -i?x option.

1999-07-28  Masanao Izumo <mo@goice.co.jp>

    * timidity/w32_a.c (wait, wait_playing): Changed wait to wait_playing.
    * timidity/w32_a.c (PM_REQ_FLUSH): Implemented.
    * timidity/miditrace.c (trace_nodelay): Removed.  Use !ctl->trace_playing
      instead of midi_trace.nodelay.

1999-07-27  Masanao Izumo <mo@goice.co.jp>

    * timidity/{controls.h,playmidi.c} (RC_STOP): New macro for interface
      to terminate playing.
    * timidity/{timidity.c,playmidi.c} (intr): Uncommented.  Ctl-C marks
      `intr' true, and TiMidity will shutdown safety.

1999-07-26  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c (voice reduction):
      Improved both in quality and in speed.
    * timidity/{timidity.c,playmidi.c} (auto polyphony reduction):
      Added new feature of auto polyphony reduction.  This feature is
      enabled/disabled with -p a option.  It is enabled by default.

1999-07-25  Masanao Izumo <mo@goice.co.jp>

    * timidity/timidity.c (opt_aq_max_buff, opt_aq_fill_buff,
      output_text_code): Fixed memory leak.
    * interface/{w32g_utl.c,w32g_utl.h} (SETTING_TIMIDITY): Reconstructed.
    * timidity/playmidi.c (play_pause_flag): Global variable.

1999-07-24  Masanao Izumo <mo@goice.co.jp>

    * timidity/timidity.c (set_tim_opt): Ordered switch-case.
    * timidity/timidity.c (set_ctl): Changed for Windows GUS.
    * timidity/instrum.c (Instrument caching): Don't cache default instrument.
    * interface/w32g_utl.c (PLAYLIST): Bug fixed and simplify.

1999-07-23  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c (Voice reduction): Improved.

1999-07-21  Masanao Izumo <mo@goice.co.jp>

    * timidity/aq.c (aq_add): Buffering in non trace mode.

1999-07-19  Masanao Izumo <mo@goice.co.jp>

    * Version 2.2.0 released.

1999-07-19  Masanao Izumo <mo@goice.co.jp>

    * timidity/Makefile.am (EXTRA_timidity_SOURCES): Added timpp32g.ini
    * interface/soundspec.c: Support screen depth 16, 24, and 32.

1999-07-17  Masanao Izumo <mo@goice.co.jp>
    * interface/w32g_c.c, timidity/{timidity.c,aq.c} (-q): New option.
      `-q' specify size of software audio buffering.  The option format
      is "-q m/n".
	m:Maximum buffer in second or percent of size of device driver buffer
	n:Filled to start in second or percent of size of device driver buffer
      The default is "5.0/100%".
    * timidity/timidity.c (help): Arranged the help message of option in order.
    * timidity/timidity.c (open_pager): In Windows console version, Enable
      to pipe "PAGER" to display help message.  For example:
      > set PAGER=more
      > timidity -h
      Bug fixed (isatty).
    * configure.in (isatty): Check for `isatty' function.
    * utils/{nkflib.c,net.c}, libarc/arc_zip.c,
      interface/{xaw_i.c,gtk_i.c,x_wrdwindow.c,wrdt_x.c,ncurs_c.c},
      timidity/{output.c,wrd_read.c,common.c}: Shut gcc warning up.
    * configure.in: Fixed bug about X path option.
    * timidity/timidity.h (NLS): Change to "\n" for cygwin.
    * interface/gtk_c.c (trace_playing): False by default.
    * interface/gtk_c.c (ctl_current_time): Update whether trace_playing
      is true or false.
    * interface/gtk_c.c (cmsg): Likewise.
    * interface/gtk_c.c (_ctl_refresh): Obsoleted.

1999-07-16  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/playmidi.c (Voice reduction): Improved.
      Powerful MIDI file less skip, and sound better!

1999-07-13  Norikatsu Shigemura <nork@lb.u-tokai.ac.jp>

    * timidity/nas_a.c: Fixed the problem that occurs with
      'timidity -On /dev/null'.
    * configure.in: Fixed building for FreeBSD Objects.  Please specify
      configure option '--with-elf' if you create ELF object, otherwise
      create AOUT object.  This option is only for FreeBSD.

1999-07-12  Masanao Izumo <mo@goice.co.jp>

    * interface/{ncurs_c.c,vt100_c.c}: (reverb): Just remove about
      reverb control interface.  It is not supported reverb control
      interface in the current version yet.

1999-07-09  Masanao Izumo <mo@goice.co.jp>

    * Version 2.1.1 released.

1999-07-09  Masanao Izumo <mo@goice.co.jp>

    * interface/xaw_i.c (redrawAction): Redraw once at last expose event.

1999-06-23  Masanao Izumo <mo@goice.co.jp>

    * utils/{support.c,support.h} (sleep, usleep): Modify the implementation.

1999-06-22  Masanao Izumo <mo@goice.co.jp>

    * libarc/arc_tar.c: Use checksum whether the tar file is valid or not.
      "ustar" magic is ignored.

1999-06-14  Masanao Izumo <mo@goice.co.jp>

    * Makefile.am(tools): Add new Makefile target to build timidity-tools.
    * Makefile.am(ump): Add new Makefile target to build UMP.

1999-06-10  Masanao Izumo <mo@goice.co.jp>

    * Version 2.1.0 released.

1999-06-05  Michael Haardt <michael@moria.de>

    * timidity/nas_a.c: Reduce BUFFERED_SECS to 3 and increase
	LOW_WATER_PERCENT to 40. 

1999-05-22  Keiichi Sakai <sakai@amor.aial.hiroshima-u.ac.jp>

    * timidity/{timidity.h,resample.c}:  Enable a multi-point interpolation
	in resampling.  In timidity, defining CSPLINE_INTERPOLATION cause
	4-point interpolation by cubic spline curve.  Defining
	LAGRANGE_INTERPOLATION cause 4-point interpolation by Lagrange method.
	The default is disabled because it wastes much CPU power.

1999-05-20  Takanori Watanabe <takawata@shidahara1.planet.sci.kobe-u.ac.jp>

    * timidity/list_a.c: Bug fix.

1999-05-16  Eric A. Welsh <ewelsh@gpc.wustl.edu>

    * timidity/common.c(pathcasecmp): pathcasecmp() was not forcing the
      right variable types for s1 and s2. The way it was before resulted in
      pointers to total garbage, which caused it to not sort properly.

1999-05-04  Vignaud Jean-Baptiste <jbv@club-internet.fr>

    * timidity/timidity.h: Fix typedef for linux axp.

1999-05-02  Nando Santagata <lac0658@iperbole.bologna.it>

    * doc/C/timidity.1: Document the -Z option.
    * timidity/{Makefile.am,common.h,loadtab.c,timidity.c} (-Z):
      New option: -Z <file>: Load frequency table from <file>.

1999-04-29  Noboru Suzaki <no_bo@geocities.co.jp>

    * timidity/linux_a.c (open_output): Remove O_NDELAY

1999-04-28  Masanao Izumo <mo@goice.co.jp>

    * Version 2.0.2 released.

1999-04-28  Masanao Izumo <mo@goice.co.jp>

    * README, README.jp, INSTALL, INSTALL.jp: Update

1999-04-27  Masanao Izumo <mo@goice.co.jp>

    * configure.in(*-sgi-irix6.2): Define SGI_OLDAL.
    * timidity/{sndfont.c,sun_a.cwrd_read.c,timidity.c},
      interface/{motif_i.c,x_sherry.c}: Remove c++ comment style "//"

1999-04-26  Masanao Izumo <mo@goice.co.jp>

    * timidity/audriv_a.c: Bug fix.

1999-04-18  Eric A. Welsh <ewelsh@gpc.ibc.wustl.edu>

    * interface/ncurs_c.c (lastbends, ctl_pitch_bend): Bug fix.

1999-04-25  Masanao Izumo <mo@goice.co.jp>

    * Version 2.0.1 released.

1999-04-24  Masanao Izumo <mo@goice.co.jp>

    * configure.in (--enable-dynamic): Bug fix.

1999-04-23  Masanao Izumo <mo@goice.co.jp>

    * interface/server_c.c (cmd_timebase): Bug fix.
    * interface/server_c.c (TMR_TEMPO): Ignore. (What is TMR_TEMPO ?)

1999-04-21  Masanao Izumo <mo@goice.co.jp>

    * configure.in (HAVE_XMUREGISTEREXTERNALAGENT): Test for
      XmuRegisterExternalAgent()
    * configure.in (HAVE_X11_XMU_EXTAGENT_H): Test for <X11/Xmu/ExtAgent.h>
    * interface/xaw_redef.c(XmuRegisterExternalAgent): Don't use
      XmuRegisterExternalAgent if it is not defined.
    * xaw_i.c: Fix bug about directory browsing.
    * timidity/timidity.c (read_config_file): Avoid compiler warnings.
      timidity/aq.c (do_effect): Likewise.

1999-04-19  Eric A. Welsh <ewelsh@gpc.ibc.wustl.edu>

    * timidity/playmidi.c (play_midi_file): Reset the voice reduction
      variables at the beginning of each midi.

1999-04-18  Masanao Izumo <mo@goice.co.jp>

    * common.makefile interface/Makefile.am doc/Makefile.am:
      Use variable `SUFFIXES', not target `.SUFFIXES' (for automake 1.4)
    * timidity/resample.c (pre_resample): Fixed integer overflow bug.
    * timidity/recache.c (resamp_cache_refer_off): Likewise.

1999-04-17  Masanao Izumo <mo@goice.co.jp>

    * Version 2.0.0 released.

1999-04-17  Masanao Izumo <mo@goice.co.jp>

    * timidity/playmidi.c: Fix portamento controls.

1999-04-16  Masanao Izumo <mo@goice.co.jp>

    * interface/{xaw_c.c,xaw_i.c}: Clean up unused variable.
    * timidity/w32_a.c (output_data): -B 8 in minimum.
    * configure.in: New configure option --enable-esd to configure EsounD
       output.  EsounD is not enabled by default.

1999-04-15  Masanao Izumo <mo@goice.co.jp>

    * timidity/linux_a.c (output_data): Error is ignored.
    * interface/server_c.c timidity/playmidi.c: Re-write the code to play
      streamed MIDI.
    * timidity/playmidi.c: Fixed voice reduction.

1999-04-14  Eric A. Welsh <ewelsh@gpc.ibc.wustl.edu>

    * timidity/playmidi.c (new_chorus_voice): Chose 42 as the maximum
      chorus cutoff level.

1999-04-13  Eric A. Welsh <ewelsh@gpc.ibc.wustl.edu>

    * timidity/w32_a.c timidity/timpp32g.ini interface/w32g_main.c:
      Change default output rate to 33075.
      This rate is supported by most soundcards.
    * timidity/timidity.c (timidity_start_initialize): The first random
      number generated by the generator is often the same number. So
      call it once before using it for any real random numbers.

1999-04-12  Masanao Izumo <mo@goice.co.jp>

    * timidity/aq.c (aq_set_dev_queuesize, max_device_qsize): Obsolete.
    * interface/srever_c.c timidity/playmidi.c timidity/playmidi.h: Change
      some variables, function names, and the implementations.
    * interface/srever_c.c (do_timing): Fix bug.
    * interface/srever_c.c (ctl_pass_playing_list): data-port argument is
      optional.  The port number would be decided by socket driver.

1999-04-14  Eric A. Welsh <ewelsh@gpc.ibc.wustl.edu>

    * timidity/playmidi.c: Improve voice reduction algorithm.

1999-04-11  Eric A. Welsh <ewelsh@gpc.ibc.wustl.edu>

    * interface/ncurs_c.c: Use __W32__ instead of __WIN32__.
    * timidity/sndfont.c timidity/mac_qt_a.c: Remove obsoleted macro __WIN32__.

1999-04-11  Masanao Izumo <mo@goice.co.jp>

    * libarc/url.c (url_close): Don't access free memory.
    * timidity/timidity.c timidity/instrum.c interface/ncurs_c.c:
      Add new feature of soundfont assignment.  New syntax of *.cfg:
      # Syntax:
      # For drumset
      # <keynote> %font <soundfont> 128 <preset> <keynote> [options]
      # For melodic instrument
      # <prog> %font <soundfont> <bank> <preset> [keynote] [options]
      # Note that bank 128 is used for drumset patch in soundfont file.
      #
      # The prefix name "%font" is special to load the patch from
      # soundfont.
      # For example.
      bank 0
      24 %font /usr/local/lib/timidity/sfbank/Nylon_Guita_1.sf2 0 0
    * timidity/linux_a.c (AFMT_S16_NE): Define AFMT_S16_NE if it is not
      defined.
    * timidity/playmidi.c (recompute_freq): Modulation wheel rate was depended
      on vibrato rate in v2 beta-4 and beta-5.  But this dependence causes bad
      detuned note if vibrato rate is slow.  So the dependence is disabled.

1999-04-10  Masanao Izumo <mo@goice.co.jp>

    * interface/server_c.c:  Support interactive mode (non TMR_START mode).
    * timidity/linux_a.c: Define AFMT_S16_NE if it is not defined.
    * timidity/playmidi.c (play_event, play_midi):  Move function call of
      play_mode->acntl(PM_REQ_MIDI) into play_event().

1999-04-09  Albert K T Hui <avatar@deva.net>

    * acinclude.m4, configure.in, timidity/esd_a.c, timidity/output.c:
      Added EsounD output mode (-Oe)

1999-04-07  Masanao Izumo <mo@goice.co.jp>

    * configure.in: The test for <ncurses/curses.h> is failure on Plamo Linux
    1.3/ncurses 1.9.9e in spite of existence of /usr/include/ncurses/curses.h:
    /usr/include/ncurses/curses.h:34: unctrl.h: No such file or directory
    But surely there is unctl.h at /usr/include/ncurses/unctrl.h.
    So I added -I/usr/include/ncurses option to CPPFLAG.

1999-04-07  Masanao Izumo <mo@goice.co.jp>

    * timidity/w32_a.c (acntl):  Support PM_REQ_GETQSIZ request.

1999-04-07  Takaya Nogami <t-nogami@happy.email.ne.jp>

    * timidity/mac_qt_a.c: Function play_midi() renamed to do_event().

1999-04-07  Masanao Izumo <mo@goice.co.jp>

    * ChangeLog: Change this format.

ChangeLog for beta series.
-- beta 5  ('>' prefix for 1.3.8 changes)
Major new features:
    - Supported to play streamed MIDI in realtime.  The stream format is
      same as OSS /dev/sequencer format.  TiMidity read the MIDI events
      via TCP/IP.  See the protocol in the source code
      (interface/server_c.c).
    - Portamento control time is completely adjusted.
    - Expanded playlist files (.m3u, .pls, and .asx).
   

Date: Tue Apr 6 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/common.c
    Modified expand_file_lists() implementation.

>Date: Sun, 4 Apr 1999 18:14:43 +1000 (EST)
>From: David Gibson <david@gibson.dropbear.id.au>
>Files: timidity/linux_a.c
>    The two bugs are both in the linux audio driver. Firstly, the driver opens
>    /dev/dsp for both reading and writing, where only writing is necessary.
>    Secondly, the code uses hard coded constants 8 and 16 to set the output
>    format on /dev/dsp. This fails on big-endian machines such as the PowerPC.
>    This patch makes the code use constants #defined by glibc.

Date: Sun Apr  4 21:05:37 JST 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/playmidi.c timidity/readmidi/c timidity/mac_qt_a.c
    Changed ME_PORTAMENTO_TIME to ME_PORTAMENTO_TIME_MSB and
    ME_PORTAMENTO_TIME_LSB.
    Passed the original value of MIDI control to the player.
Files: timidity/nas_a.c
    Enabled to synchronize NAS output tracing.
>Files: interface/x_wrdwindow.c
>   Fixed to change undefined color code to default color (white).

>Date: Sat, 03 Apr 1999 22:07:45 +0900 (JST)
>From: Yoshishige ARAI <ryo2@on.rim.or.jp>
>Files: interface/xaw_i.c doc/C/README.xaw doc/ja_JP.ujis/README.xaw
>    Fixed XAW bug.
>    Changed some descriptions for XAW document.

Date: Sat, 3 Apr 1999 19:33:28 +1000 (EST)
From: ggt@netspace.net.au (Glenn Trigg)
Files: interface/gtk_i.c
    The ability to load and save play-lists. It uses the TIMIDITY_PLAYLIST_DIR
    environment variable as a default playlist directory where playlist files
    are saved to and load from. If that variable doesn't exist it just uses
    the current directory. A playlist file is simply a text file which has
    a list of midi filenames.
    A menu item which lets you clear the list of loaded midi files.
    I also changed a bunch of printf's in this file to g_warning's which
    removed the dependency on stdio.h.

Date: Sat Apr 3 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/server_c.c timidity/playmidi.h timidity/playmidi.c
	timidity/readmidi/c timidity/readmidi.h
    Added TiMidity server interface which is invoked -ir.  And defined some
    new functions.

Date: Wed, 31 Mar 1999 11:47:27 +0900
From KINOSHITA, K.   <kino@krhm.jvc-victor.co.jp>
Files: timidity/mac_qt_a.c
    Changed to the newest Macintosh QuickTime audio driver code.
    (Ported to beta5 by Masanao Izumo)

Date: Wed Mar 31 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/aq.c timidity/playmidi.c
    Fixed bug of aq_flush().
>Files: timidity/playmidi.c
>    Fixed bug of drumpart recognition.
>Files: interface/ncurs_c.c
>    Fixed bug about buffer over-running of comment_indicator_buffer.

From: Takaya Nogami <t-nogami@happy.email.ne.jp>
Date: Sat, 27 Mar 1999 10:38:11 +0900
Files: timidity/wrd_read.c interface/VTPrsTbl.c timidity/output.c
    Fixed last screen updating for Sherry WRD.
>    Enabled clear screen with @esc(2j) command for MIMPI WRD.
>    Included <string.h> from output.c
Files: libarc/arc_lzh.c libarc/url_dir.c timidity/common.c utils/timer.c
    Patched for Macintosh.
	- Fixed to compile arc_lzh.c and url_dir.c
	- Enabled to read archive files.
	- Implemented get_current_calendar_time().

Date: Fri Mar 26 1999
From: Masanao Izumo <mo@goice.co.jp>
    Imported Macintosh sources from the 1999.3.13 of T.Nogami released

Date: Fri Mar 26 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/playmidi.c timidity/tables.c
    Almost completely adjusted portamento rate.
Files: configure.in interface/Makefile.am
    Changed configure implementations.  Defined INTERFACE_SRCS macro to
    specify TiMidity interface sources.

Date: Thu, 25 Mar 1999 23:41:46 -0600 (CST)
From: "Eric A. Welsh" <ewelsh@gpc.ibc.wustl.edu>
Files: interface/ncurs_c.c
      Changed the 'p' command to restart the current song if looping
    is disable and the current song is the 1st song in the playlist.
Files: timidity/common.c
      Created a expand_names_lists() function in common.c which is used to
    support the use of playlist files.  It checks for the extensions of
    .m3u, .pls, and .asx (extensions supported by WinAMP) to indicate a
    playlist file.  It then reads the files and inserts the file names
    inside the files in to the timidity playlist.  I also let it use any
    file "foo" if it is preceded by an '@' on the command line arguments.
    `timidity @foo` would use the file "foo" as a playlist file.  This is
    syntax left over from some old MS-DOS system commands that I am used
    to using.

-- beta 4
Date: Wed Mar 24 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/nas_a.c
    Removed PF_CAN_TRACE flag from NAS PlayMode because NAS can't trace
    playing correctly.
    Fixed NAS encoding to PE_16BIT|PE_SIGNED.

Files: interface/w32*
    In Windows GUI interface, added dialog to setup some option parameters.
Files: configure.in
    Based on autoconf-2.13 and automake-1.4.
    --with-x option is `yes' by default.

Date: Fri Mar 23 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/xaw_i.c interface/xaw_redef.c
    Implemented re-definition for -lXaw(3d)'s vendorShellWidgetClass
    if Motif interface was linked.

Date: Fri Mar 19 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/playmidi.c
    Changed calculation parameter of audio reduction for small audio buffer.
Files: interface/ncurs_c.c
    Changed the place of audio queue displaying.

Date: 17 Mar 1999 22:26:32 -0000
From: Michael Haardt <michael@moria.de>
Files: timidity/nas_a.c
    Added audio interface for NAS (Network Audio Sound)

Date: Wed Mar 17 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/tables.c
    Changed some parameters or implementations:
	- Volume table for GS and XG
	- Modulation wheel rate
	- midi_time_table[]: changes portamento speed and NRPN vibrato delay.
	- Time of aq.c:aq_wait_ticks()

Date: Sat Mar 13 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/common.c
    Fixed bug about reading WRD MIDI archive via http.

Date: Sat, 13 Mar 1999 15:49:35 +0900
From: Takaya Nogami <t-nogami@happy.email.ne.jp>
Files: interface/x_sherry.c timidity/wrd_read.c
    Fixed bug about Sherry WRD.

-- beta 3
Date: Fri Mar 12 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/{w32g.h,w32g_btn.bmp,w32g_c.c,w32g_c.h,w32g_icon.ico,
	w32g_ini.c,w32g_main.c,w32g_main.h,w32g_res.h,w32g_res.rc,w32g_res.res
	w32g_sleep.bmp,w32g_subbtn.bmp,w32g_utl.c,w32g_utl.h,Makefile.am}
	timidity/{timidity.c,timpp32g.ini,Makefile.am}
	configure.in
    Ported Windows32 GUI from
    http://www2.off.ne.jp/~dai/timidity/files/izumo/timw32gz1c-src.lzh
Files: utils/{support.c,support.h}
    In Windows, modified sleep() and usleep() implementation.
Files: interface/{xaw.h,xaw_c.c,xaw_i.c}
    In XAW interface, modified about implementation for velocity bar updating.
Files: interface/{dumb_c.c,dynamic_c.c,emacs_c.c,gtk_c.c,mac_c.c,motif_c.c
	ncurs_c.c,slang_c.c,tk_c.c,vt100_c.c,w32g_c.c,xaw_c.c,xskin_c.c}
	timidity/{controls.h,playmidi.h,timidity.c}
    Added new member of `flags' to ControlMode structure.
    Added new control option.
	-i?l:	play loop (some interface ignore this option)
	-i?r:	randomize file list arguments
	-i?s:	sorting file list arguments

Thu Mar 11 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/{wrdt.c,wrd_read.c,wrd.h,readmidi.h,playmidi.h}
	interface/{x_sherry.c,x_sherry.h,wrdt_dumb.c,wrdt_wcon.c,
	wrdt_mac.c,wrdt_x.c,wrdt_tty.c}
    Modified Sherry WRD implementation.

Files: timidity/sndfont.c
    Fixed bug of soundfont.

Date: Wed Mar 10 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/timidity.c
    Changed signal handling.

Date: Tue, 09 Mar 1999 15:36:44 +0900
From: "KINOSHITA, K." <kino@krhm.jvc-victor.co.jp>
Files: timidity/playmidi.h timidity/readmidi.c
    Added follows MIDI Events (Not play yet. Reading only)
	BREATH, FOOT, BALANCE, SOSTENUETO, SOFT PEDAL,
	TREMOLO EFFECT, CELESTE EFFECT, PHASER EFFECT

Date: Tue, 09 Mar 1999 12:25:11 +0900
From: takawata@shidahara1.planet.sci.kobe-u.ac.jp
Files: configure.in
    Pached for OffiX.

Date: Tue Mar 9 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/x_sherry.c
    Optimized for Sherry WRD on TrueColor visual.

-- beta 2
Date: Mon Mar 8 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: interface/x_sherry.c
    Handled Expose event to redraw the window.
    Optimized for SHM implementation.

Date: Sat Mar 6 1999
From: Masanao Izumo <mo@goice.co.jp>
Files: timidity/{timidity.c,output.c,aq.c,effect.c}
    Added effect.c to implement generic effectors.
    Move the noise shaping filter to effect.c from output.c.
    Obsoleted -n option.  Use -EFns=? instead of -n?.
Files: timidity/wave_a.c
    Fixed bugs.

Date: Tue, 2 Mar 1999 22:08:00 +0900
From: Takaya Nogami <t-nogami@happy.email.ne.jp>
Files: interface/x_sherry.c timidity/linux_a.c
    Fixed bugs.


The implementation notes.
================================
  * timidity/timpp32g.ini
    Sample Ini file for Windows32 GUI

  * common.[ch]
    Added new function:
      randomize_string_list() is used to randomize string array.
      pathcasecmp() is used to compare the path.
      sort_pathname() is used to sort the path.

  * ControlMode:
    Added new member:
      flags:
	#define CTLF_LIST_LOOP		(1u<<0)	/* -i?l */
	#define CTLF_LIST_RANDOM	(1u<<1)	/* -i?r */
	#define CTLF_LIST_SORT		(1u<<2)	/* -i?s */
      This flags are used to tell the user preference to interface.
      Some interfaces (such as XAW) ignore this flags because they
      have own user preference interface.

  * WRDTracer
    Added new member function sherry() to trace Sherry WRD.

  * output.h, output.c
    Obsoleted member functions of PlayMode:
      flush_output()
      purge_output()
      current_samples()
      play_loop()
    New member function of PlayMode:
      acntl() - PlayMode.acntl() performs a variety of control functions for
      PlayMode.
    Changed member function of PlayMode:
      OLD: void (*output_data)(int32 *buf, int32 count);
      NEW: int (* output_data)(char *buf, int32 bytes);
      Now, output_data takes converted audio buffer and number of bytes of it.
      output_data() must write all of `buf'. It returns -1 if error occur,
      otherwise returns zero or positive value.
    About PlayMode.flag:
      Changed the macro name PF_NEED_INSTRUMENTS to PF_PCM_STREAM.
      Added the new flags:
	PF_MIDI_EVENT		- To send MIDI event to PlayMode via acntl().
	PF_BUFF_FRAGM_OPT	- To enable to set extra_param[0] as buffer
				  fragments.
    Added new macro FILE_OUTPUT_MODE to open file for writing.
    FILE_OUTPUT_MODE is defined to
      UNIX:	O_WRONLY|O_CREAT|O_TRUNC, 0644
      Windows:	O_WRONLY|O_CREAT|O_TRUNC|O_BINARY, 0644
      Macintosh:O_WRONLY|O_CREAT|O_TRUNC
    Added new functions:
      int32 general_output_convert(int32 *buf, int32 count);
        Use to convert 32-bit audio wave to output format.
      int validate_encoding(int enc, int include_enc, int exclude_enc);
        Use to convert specified encoding to validate encoding.

  * effect.c:
    Move some effect routines into effect.c.
      Reverb effect (partial)
      Noise shaping filter	(move from output.c)
      L/R delay effect		(move from playmidi.c)

  * do_reverb_flag as opt_reverb_control = 2;
  * play_midi_file() is more simple than that of v1.

Others notes:
automake --gnu interface/Makefile takes long time. why?
NAS: incorrect trace_playing.
